%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Construction de la couverture à insérer en en-tête du fichier de    *
  * partition directrice - modifier les proportion si modification de   *
  * set-global-staff-size                                               *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Text.ly"

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                        %%
%%      Couverture et pages de garde      %%
%%            Merci à Cécile              %%
%%                                        %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Infos générales
% Les variables suivantes sont initialisées dans le fichier Variables.ly

Compositeur = \thisComposer
Dates = \thisDates
Titre = \thisWork
FromPublisher = \thisSource
InfoRecueil = \thisOpus
DateRecueil = \thisDateOfPublication
SousTitre = \thisOrchester
catalogIdentification = \thisCatalogIdentification
DateEdition = \thisDateEdition
Tonality = \thisTonality
Duration = \thisDuration

Genre = "Conductor’s Score"

Toc = "Table of contents"

Instrument = "Orchestra"

%%% Commandes markup pour la page de couverture
%   Titre du recueil
#(define-markup-command (couv_recueil_settings layout props name) (string?)
  (interpret-markup layout props (markup #:abs-fontsize 45 #:medium name)))
%   Info supplémentaire sur le recueil (n° d'Opus)
#(define-markup-command (couv_infoRecueil_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 22 #:medium name)))
%   Tonalité
#(define-markup-command (couv_infoTonality_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 22 #:medium name)))
%   Date du recueil
#(define-markup-command (couv_dateRecueil_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 22 #:medium name)))
%   Titre du morceau
#(define-markup-command (couv_title_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 42 #:medium #:smallCaps name)))
%   Sous-titre du morceau
#(define-markup-command (couv_subtitle_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 25 #:italic #:medium name)))
%   Compositeur
#(define-markup-command (couv_compositeur_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 34 name)))
%   Dates du compositeur
#(define-markup-command (couv_datesCompositeur_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 17 name)))
%   Genre
#(define-markup-command (couv_genre_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 28 name)))

%   Durée
#(define-markup-command (couv_duration layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 12 name)))

%%% Commande de la table des matières

%   Titre du morceau
#(define-markup-command (couv_title_settings_toc layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 25 #:medium #:smallCaps name)))

#(define-markup-command (toc-line layout props label text) (symbol? markup?)
   (interpret-markup layout props(markup #:abs-fontsize 14  #:fill-line (text #:page-ref label "8" "?"))))

#(define-markup-command (Toc-Header layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 17 name)))
%   From Publisher
#(define-markup-command (couv_fromPublisher_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 11 #:medium name)))
%   Instrumentation
#(define-markup-command (instrumentation_settings layout props name) (string?)
   (interpret-markup layout props (markup #:italic #:bold #:abs-fontsize 24 #:medium name)))

%%% Création des pages spéciales

couvfromPublisher = \markup \couv_fromPublisher_settings #FromPublisher
couvinfoRecueil = \markup \couv_infoRecueil_settings #InfoRecueil
couvTonality = \markup \couv_infoTonality_settings #Tonality
couvdateRecueil = \markup \couv_dateRecueil_settings #DateRecueil
couvTitre = \markup \couv_title_settings #Titre
couvSoustitre = \markup \couv_subtitle_settings #SousTitre
couvCompositeur = \markup \couv_compositeur_settings #Compositeur
couvDates = \markup \couv_datesCompositeur_settings #Dates
couvDuration = \markup \couv_duration #Duration
couvSigle = \markup {\epsfile #X #50 #"./Common/DigiClassic.eps"}
couvVolutes = \markup {\epsfile #X #50 #"./Common/Volutes.eps"}
couvVolutesI = \markup {\epsfile #X #50 #"./Common/VolutesI.eps"}
couvSigleMini = \markup {\epsfile #X #25 #"./Common/DigiClassic.eps"}
couvGenre = \markup \couv_genre_settings #Genre

TocTitre = \markup \couv_title_settings_toc #Titre
TocLigne = \markup \Toc-Header #Toc
Instrumentation = \markup \instrumentation_settings #Instrument

%%% Couverture principale

CouvertureA = \markup {
  \override #'(line-width . 145)
  \column {
    \fontsize #3 \bold \override #'(box-padding . 0.0)  \override #'(thickness . 4.0)
    \box
    \column {
      \fill-line {\lower #26 \couvCompositeur}
      \fill-line {\lower #12 \couvDates}
      \fill-line {\lower #15 \couvVolutes}
      \fill-line {\lower #18 \couvTitre}
      \fill-line {\lower #12 \couvTonality}
      \fill-line {\lower #12 \couvinfoRecueil}
      \fill-line {\lower #11 \couvSoustitre}
      \fill-line {\lower #9 \draw-line #'(20 . 0)}
      \fill-line {\lower #13 \couvdateRecueil}
      \fill-line {\lower #21 \couvVolutesI}
      \fill-line {\lower #17 \couvGenre}
      \fill-line {\lower #35.8 \couvSigle}
      \vspace #3.7
    }
  }
}

%%% Table des matières

PageToc = \markup {
  \override #'(line-width . 145)
  \column {
    \fontsize #3 \override #'(box-padding . 1.0) \override #'(thickness . 4.0)
    \box
    \column {
      \fill-line {\lower #27 \couvCompositeur}
      \fill-line {\lower #17 \couvDates}
      \fill-line {\lower #17 \TocTitre}
      \fill-line {\lower #12 \couvTonality}
      \fill-line {\lower #12 \couvinfoRecueil}
      \fill-line {\lower #22 \TocLigne}
      \fill-line {\lower #4 \draw-line #'(38 . 0)}
      \fill-line {\override #'(line-width . 100) \lower #10 \toc-line #'MvmtI "I - Allegro maestoso"}
      \fill-line {\override #'(line-width . 100) \lower #6 \toc-line #'MvmtII "II - Poco adagio"}
      \fill-line {
        \override #'(line-width . 100) \lower #6 \toc-line #'MvmtIII "III - Scherzo Vivace - Poco meno mosso"}
      \fill-line {\override #'(line-width . 100) \lower #6 \toc-line #'MvmtIV "IV - Allegro"}
      \fill-line {\lower #8 \draw-line #'(38 . 0)}
      \fill-line {\lower #30 \couvfromPublisher}
      \fill-line {\lower #8 \couvGenre}
      \vspace #4
      \fill-line {
        " "
        \override #'(thickness . 2.0)
        \box
        \column {
          \italic \medium \abs-fontsize #11 \thisTypesetting
          \italic \medium \abs-fontsize #11 \thisLocation
        }
      }
    }
  }
}

%%% Page d'orchestration

PageOrch = \markup {
  \override #'(line-width . 145)
  \column {
    \override #'(box-padding . 0.0) \override #'(thickness . 4.0)
    \box
    \column {
      \fill-line {\lower #22 \couvCompositeur}
      \fill-line {\lower #15 \bold \TocTitre}
      \fill-line {\lower #10 \couvTonality}
      \fill-line {\lower #12 \bold \couvinfoRecueil}
      \vspace #1
      \fill-line {\lower #16 \Instrumentation}
      \vspace #1.5
      \fill-line {\lower #3 \draw-line #'(37 . 0)}
      \vspace #2
      \fill-line {\lower #15 \abs-fontsize #15 "2 Flauti + Piccolo"}
      \fill-line {\lower #7 \abs-fontsize #15 "2 Oboi"}
      \fill-line {\lower #7 \abs-fontsize #15 "2 Clarinetti"}
      \fill-line {\lower #7 \abs-fontsize #15 "2 Fagotti"}
      \fill-line {\lower #7 \abs-fontsize #15 "4 Corni"}
      \fill-line {\lower #7 \abs-fontsize #15 "2 Trombe"}
      \fill-line {\lower #7 \abs-fontsize #15 "3 Tromboni"}
      \fill-line {\lower #7 \abs-fontsize #15 "Timpani"}
      \fill-line {\lower #7 \abs-fontsize #15 "String ensemble"}
      \fill-line {\lower #18.4 \couvDuration}
      \fill-line {\lower #20 \couvVolutes}
      \vspace #3
    }
  }
}

%%% Remarques éditoriales

EditorialRemark =
\markup \override #'(line-width . 120) \fill-line {
  \abs-fontsize #7.6
  % First column:
  \override #'(line-width . 73)
  \editorialEng
  \vspace #1

  % Second column
  \abs-fontsize #7.6
  \override #'(line-width . 73)
  \editorialFr
  \vspace #1
}



%%% Couverture 3

%%% Couverture 3

CouvertureC =
\markup \override #'(line-width . 140) \fill-line {
  \abs-fontsize #10
  % First column:
  \override #'(line-width . 67)
    \mutopiaEng
    \vspace #1

  % Second column
  \abs-fontsize #10
  \override #'(line-width . 67)
    \mutopiaFr
    \vspace #1
}

% Couverture 4

\include "Common\Catalog.ly"

blocTitre = \markup {
  \column {
    \abs-fontsize #13 \bold {
      \fill-line {\lower #5 \line {\thisComposer "  (" \thisDates ")"}}
      \fill-line {\lower #5 \line {\thisWork "  -  " \thisTonality "  -  " \InfoRecueil}}
      \fill-line {\lower #5 \SousTitre}
      \fill-line {\lower #20 \couvSigleMini}
    }
  }
}

blocAvailable = \markup {
  \hspace #15
  \abs-fontsize #9.5
  \column {
    \bold \concat {"Also available on " \with-url #thisDirectUrl \thisDirectUrl " :"}
    #(string-append "-   Source Code (for LilyPond Software " (lilypond-version) ")")
    \listConductor
    \listParts
    \italic \listPartsI
    \italic \listPartsII
    \italic \listPartsIII
  }
}

blocPermission = \markup {
  \override #'(box-padding . 3.0)
  \override #'(thickness . 1.5)
  \box \column {
    \center-align {
      \line {
        "Music typeset and placed in the public domain"
      }
      \line {
        "(under GNU license) by J.F. Lucarelli"
      }
      \line {
        \with-url #thisWebSite \thisWebSite
      }
      \line {
        "Unrestricted modification and redistribution permitted and encouraged."
      }
      \line {
        "Copy this music and share it!"
      }
      \line {
        "Send comments or remarks to " \with-url #thisMail \thisAddress
      }
      \line {
        \italic
        #(string-append "Engraved with LilyPond " (lilypond-version))
      }
      \line {
        \italic \with-url #lilypondWebSite \lilypondWebSite
      }
    }
  }
}

blocLilypond = \markup {
  \abs-fontsize #13 \italic
  \column {
    \fill-line {"LilyPond is a free Software available"}
    \fill-line {"under GNU License"}
  }
}

blocIdentification = \markup {
  \abs-fontsize #8
  \column {
    \hspace #8
    \concat {
      "    "
      \catalogIdentification
      \partShort
      \thisRevision
      "    "
      \DateEdition
    }
    " "
  }
}

%%% Page 4

Conductor_Catalog = \markup {
  \override #'(line-width . 130 )
  \Catalog
}

CouvertureD = \markup {
  \column {
    \override #'(line-width . 145)
    \override #'(box-padding . 0.0)
    \override #'(thickness . 4.0)
    \box \override #'(box-padding . 3.0) {
      \column {
        \fontsize #4 \bold
        \fill-line {
          \lower #5.5
          \blocTitre
        }
        \fill-line {
          \lower #6
          \blocAvailable
        }
        \fill-line {
          \lower #5
          \blocLilypond
        }
        \lower #18
        \fill-line {\Conductor_Catalog}
        \lower #8
        \fill-line {
          \lower #5
          \blocPermission
        }
        \lower #5
        \blocIdentification
        \null
      }
    }
  }
}
