%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Construction de la couverture à insérer en en-tête du fichier de    *
  * partition directrice - modifier les proportion si modification de   *
  * set-global-staff-size                                               *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Text.ly"

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                        %%
%%      Couverture et pages de garde      %%
%%            Merci à Cécile              %%
%%                                        %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Infos générales
% Les variables suivantes sont initialisées dans le fichier Variables.ly

Compositeur = \thisComposer
Dates = \thisDates
Titre = \thisWork
FromPublisher = \thisSource
InfoRecueil = \thisOpus
DateRecueil = \thisDateOfPublication
SousTitre = \thisOrchester
catalogIdentification = \thisCatalogIdentification
DateEdition = \thisDateEdition
Tonality = \thisTonality
Duration = \thisDuration

Genre = "Study Score"

Toc = "Table of contents"

Instrument = "Orchestra"

%%% Commandes markup pour la page de couverture
%   Titre du recueil
#(define-markup-command (couv_recueil_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 38 #:medium name)))
%   Info supplémentaire sur le recueil (n° d'Opus)
#(define-markup-command (couv_infoRecueil_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 13 #:medium name)))
%   Tonalité
#(define-markup-command (couv_infoTonality_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 13 #:medium name)))
%   Date du recueil
#(define-markup-command (couv_dateRecueil_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 14 #:medium name)))
%   Titre du morceau
#(define-markup-command (couv_title_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 25 #:medium #:smallCaps name)))
%   Sous-titre du morceau
#(define-markup-command (couv_subtitle_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 15 #:italic #:medium name)))
%   Compositeur
#(define-markup-command (couv_compositeur_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 20 name)))
%   Dates du compositeur
#(define-markup-command (couv_datesCompositeur_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 12 name)))
%   Genre
#(define-markup-command (couv_genre_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 14 name)))
%   Durée
#(define-markup-command (couv_duration layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 9 name)))

%%% Commande de la table des matières

%   Titre du morceau
#(define-markup-command (couv_title_settings_toc layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 14 #:medium #:smallCaps name)))

#(define-markup-command (toc-line layout props label text) (symbol? markup?)
   (interpret-markup layout props(markup #:abs-fontsize 10  #:fill-line (text #:page-ref label "8" "?"))))

#(define-markup-command (Toc-Header layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 13 name)))

%   From Publisher
#(define-markup-command (couv_fromPublisher_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 7.6 #:medium name)))
% Ramené à 7.6 au lieu de 9 pour cause de débordement

%   Editorial
#(define-markup-command (couv_Editorial_settings layout props name) (string?)
   (interpret-markup layout props (markup #:abs-fontsize 6 #:medium name)))

%   Instrumentation
#(define-markup-command (instrumentation_settings layout props name) (string?)
   (interpret-markup layout props (markup #:italic #:abs-fontsize 14 #:medium name)))

%%% Création des pages spéciales

couvfromPublisher = \markup \couv_fromPublisher_settings #FromPublisher
couvinfoRecueil = \markup \couv_infoRecueil_settings #InfoRecueil
couvTonality = \markup \couv_infoTonality_settings #Tonality
couvdateRecueil = \markup \couv_dateRecueil_settings #DateRecueil
couvTitre = \markup \couv_title_settings #Titre
couvSoustitre = \markup \couv_subtitle_settings #SousTitre
couvCompositeur = \markup \couv_compositeur_settings #Compositeur
couvDates = \markup \couv_datesCompositeur_settings #Dates
couvDuration = \markup \couv_duration #Duration
couvSigle = \markup {\epsfile #X #30 #"./Common/DigiClassic.eps"}
couvVolutesI = \markup {\epsfile #X #40 #"./Common/VolutesI.eps"}
couvVolutes = \markup {\epsfile #X #40 #"./Common/Volutes.eps"}
couvSigleMini = \markup {\epsfile #X #18 #"./Common/DigiClassic.eps"}
couvGenre = \markup \couv_genre_settings #Genre

TocTitre = \markup \couv_title_settings_toc #Titre
TocLigne = \markup \Toc-Header #Toc
Instrumentation = \markup \instrumentation_settings #Instrument

CouvertureA = \markup {
  \override #'(line-width . 142)
  \column {
    \fontsize #3 \bold \override #'(box-padding . 0.0)  \override #'(thickness . 4.0)
    \box
    \column {
      \fill-line {\lower #25 \couvCompositeur}
      \fill-line {\lower #16 \couvDates}
      \fill-line {\lower #15 \couvVolutes}
      \fill-line {\lower #16 \couvTitre}
      \fill-line {\lower #10 \couvTonality}
      \fill-line {\lower #10 \couvinfoRecueil}
      \fill-line {\lower #10 \couvSoustitre}
      \fill-line {\lower #12 \draw-line #'(50 . 0)}
      \fill-line {\lower #12 \couvdateRecueil}
      \fill-line {\lower #12 \couvVolutesI}
      \fill-line {\lower #16 \couvGenre}
      \fill-line {\lower #34 \couvSigle}
      \vspace #7
    }
  }
}

%%% Table des matières

PageToc = \markup {
  \override #'(line-width . 140)
  \column {
    \fontsize #3 \bold \override #'(box-padding . 1.0) \override #'(thickness . 4.0)
    \box
    \column {
      \fill-line {\lower #20 \couvCompositeur}
      \fill-line {\lower #16 \couvDates}
      \fill-line {\lower #14 \TocTitre}
      \fill-line {\lower #12 \couvTonality}
      \fill-line {\lower #12 \couvinfoRecueil}
      \fill-line {\lower #17 \TocLigne}
      \fill-line {\lower #8 \draw-line #'(40 . 0)}
      \normal-text{
        \fill-line {\override #'(line-width . 90) \lower #10 \toc-line #'MvmtI "I - Allergo maestoso"}
        \fill-line {\override #'(line-width . 90) \lower #8 \toc-line #'MvmtII "II - Poco adagio"}
        \fill-line {
          \override #'(line-width . 90) \lower #8 \toc-line #'MvmtIII "III - Scherzo Vivace - Poco meno mosso"}
        \fill-line {\override #'(line-width . 90) \lower #8 \toc-line #'MvmtIV "IV - Allegro"}
      }
      \fill-line {\lower #10 \draw-line #'(90 . 0)}
      \fill-line {\lower #12 \couvfromPublisher}
      \fill-line {\lower #12 \couvGenre}
      \vspace #6.7
      \fill-line {
        " "
        \override #'(thickness . 3.0)
        \box {
          \column {
            \italic \medium \abs-fontsize #8 \thisTypesetting
            \italic \medium \abs-fontsize #8 \thisLocation
          }
        }
      }
      \vspace #2.2
    }
  }
}

%%% Page d'orchestration

PageOrch = \markup {
  \override #'(line-width . 142)
  \column {
    \fontsize #3 \override #'(box-padding . 0.0) \override #'(thickness . 4.0)
    \box
    \column {
      \fill-line {\lower #20 \TocTitre}
      \fill-line {\lower #16 \couvTonality}
      \fill-line {\lower #15 \couvinfoRecueil}
      \fill-line {\lower #10 \Instrumentation}
      \fill-line {\lower #9 \draw-line #'(45 . 0)}
      \vspace #1.5
      \fill-line {\lower #7 \abs-fontsize #12 "2 Flauti & Piccolo"}
      \fill-line {\lower #7 \abs-fontsize #12 "2 Oboi"}
      \fill-line {\lower #7 \abs-fontsize #12 "2 Clarinetti"}
      \fill-line {\lower #7 \abs-fontsize #12 "2 Fagotti"}
      \fill-line {\lower #7 \abs-fontsize #12 "4 Corni"}
      \fill-line {\lower #7 \abs-fontsize #12 "2 Trombe"}
      \fill-line {\lower #7 \abs-fontsize #12 "3 Tromboni"}
      \fill-line {\lower #7 \abs-fontsize #12 "Timpani"}
      \fill-line {\lower #7 \draw-line #'(45 . 0)}
      \fill-line {\lower #7 \abs-fontsize #12 "String ensemble"}
      \fill-line {\lower #12 \couvDuration}
      \fill-line {\lower #16 \couvVolutes}
      \vspace #11.6
    }
  }
}

%%% Remarques éditoriales

EditorialRemark =
\markup \override #'(line-width . 115) \fill-line {
  \abs-fontsize #6.5 % au lieu de 5.5
  % First column:
  \override #'(line-width . 68)
  \editorialEng
  \vspace #1

  % Second column
  \abs-fontsize #6.5
  \override #'(line-width . 68)
  \editorialFr
  \vspace #1
}

%%% Couverture 3

CouvertureC =
\markup \override #'(line-width . 120) \fill-line {
  \abs-fontsize #8
  % First column:
  \override #'(line-width . 68)
  \mutopiaEng
  \vspace #1

  % Second column
  \abs-fontsize #8
  \override #'(line-width . 68)
  \mutopiaFr
  \vspace #1
}

% Couverture 4


\include "Common\Catalog.ly"

blocTitre = \markup {
  \column {
    \abs-fontsize #10 \bold {
      \fill-line {\lower #6 \line {\thisComposer "  (" \thisDates ")"}}
      \fill-line {\lower #6 \line {\thisWork "  -  " \thisTonality "  -  " \InfoRecueil}}
      \fill-line {\lower #6 \SousTitre}
      \fill-line {\lower #14 \couvSigleMini}
    }
  }
}

blocAvailable = \markup {
  \hspace #5
  \abs-fontsize #6.8
  \column {
    \bold \concat {"Also available on " \with-url #thisDirectUrl \thisDirectUrl " :"}
    #(string-append "-   Source Code (for LilyPond Software " (lilypond-version) ")")
    \listConductor
    \listParts
    \italic \listPartsI
    \italic \listPartsII
    \italic \listPartsIII
  }
}

blocPermission = \markup {
  \override #'(box-padding . 3.0)
  \override #'(thickness . 1.5)
  \box \column {
    \center-align {
      \line {
        "Music typeset and placed in the public domain"
      }
      \line {
        "(under GNU license) by J.F. Lucarelli"
      }
      \line {
        \with-url #thisWebSite \thisWebSite
      }
      \line {
        "Unrestricted modification and redistribution permitted and encouraged."
      }
      \line {
        "Copy this music and share it!"
      }
      \line {
        "Send comments or remarks to " \with-url #thisMail \thisAddress
      }
      \line {
        \italic
        #(string-append "Engraved with LilyPond " (lilypond-version))
      }
      \line {
        \italic \with-url #lilypondWebSite \lilypondWebSite
      }
    }
  }
}

blocLilypond = \markup {
  \abs-fontsize #9 \italic \override #'(baseline-skip . 1.6)
  \column {
    \fill-line {"LilyPond is a free Software available"}
    \fill-line {"under GNU License"}
  }
}

blocIdentification = \markup {
  \abs-fontsize #7
  \column {
    \hspace #6
    \concat {
      "    "
      \catalogIdentification
      \partShort
      \thisRevision
      "    "
      \DateEdition
    }
    \vspace #1
  }
}

Study_Catalog = \markup {
  \override #'(line-width . 128 )
  \Catalog
}

CouvertureD = \markup {
  \override #'(line-width . 140)
  \override #'(thickness . 4.0)
  \box \override #'(box-padding . 1.0) {
    \column {
      \fontsize #3 \bold
      \fill-line {
        \lower #3
        \blocTitre
      }
      \fill-line {
        \lower #5
        \blocAvailable
      }
      \fill-line {
        \lower #6
        \blocLilypond
      }
      \lower #3
      \fill-line {\Study_Catalog}
      \fill-line {
        \lower #4
        \blocPermission
      }
      \lower #3
      \blocIdentification
      \null
    }
  }
  \vspace #1.55
}
