%{
  ***********************************************************************
  * Dvorak - Symphony n°7                                               *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Textes repris dans les remarques éditoriales et dans la référence   *
  * à Mutopia.org                                                       *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

editorialEng = \markup {
  \column {
    \line \bold \smallCaps {Editorial remarks}
    \combine \null \vspace #0.3
    \justify \italic {
      • This transcription is engraved from the complete edition of Dvořák's works, Series 3, Vol. 7, edited by O. Šourek
      Plate H 1535. It is also intended to be as faithful to the original as possible, including the exact position of
      dynamics, hairpins, articulations, tremolos, beams, acchordic or polyphonic notation, etc.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Parenthesized or bracketed items also come from this edition, with the exception of a few cautionary accidentals,
      added to improve the readability of the parts.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Some important details (missing slurs, articulations) found in the original edition (N. Simrock, 1885),
      were included, and are specified in footnotes.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Trills of which the second note is altered have this alteration placed UNDER the sign of the trill according
      to the treaty of «Music Theory» by A. Danhauser (1996).
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Other minor changes are described below:
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Timpani: trillspanners have been extended on several bars in place of interruptions on each bar in the
      reference edition, and this apart from a change of note or variation in dynamics (sFz ...).

    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Violins: some octaviation symbols have been added for better readability.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Cello: in the reference score, music with treble clef are transposed up for an octave. We preserved this
      setting, using the sign of octaviation below the treble clef to remove any ambiguity.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • The first movement has the rehearsal mark «I», usually omitted in other scores, but present in the score
      of 1885. This marker was placed here for a better match between different versions (parts and conductor score).

    }
    \combine \null \vspace #0.6
    \justify \italic {
      • The second movement includes only A, B and C markers. The item D is found in some editions. It has been
      included in this version.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • In the third movement, the pick-up first bar is fully counted, contrary to usage. We have taken this feature
      to better match existing scores.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Movement 4 last bars : several editions among which the 1885 edition indicate a FF. We have chosen the FFz from
      our reference edition.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Movement 4 last bars : several editions whose 1885 edition indicate a FF. We have chosen the FFZ
      from our reference edition.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Movement 4 strings, 178-180 bars : all editions show an 'Arco' playing. However, the pizzicato appears to
      be more logical, as confirmed by many interpretations. The information corresponding to this second version
      is bracketed.
    }
    \combine \null \vspace #1
  }
}

editorialFr = \markup {
  \column {
    \line \bold \smallCaps {Notes éditoriales}
    \combine \null \vspace #0.6
    \justify \italic {
      • Cette transcription est réalisée à partir de l'édition complète de l'œuvre de Dvořák, série 3, vol. 7,
      éditée par O. Šourek, Plate H 1535.
      Elle se veut aussi fidèle que possible à l'originale, et ce y compris la position exacte des nuances,
      des soufflets, des articulations, des trémolos, des ligatures, la notation polyphonique ou accordique, etc.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Les items placés entre parenthèses ou entre crochets proviennent également de l'édition originale,
      à l'exception de quelques altérations de précaution, ajoutées pour améliorer la lisibilité des parties.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Quelques détails importants, trouvés dans l'édition originale (N. Simrock, 1885), ont été repris
      (liaisons ou articulations manquantes,...) et sont spécifiées dans les notes de bas de page.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Les trilles dont la seconde note est altérée voient cette altération placée SOUS le signe du trille,
      conformément au traité de la «Théorie de la musique» de A. Danhauser (1996).
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • D'autres modifications mineures sont décrites ci-après :
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Timbales : les extenseurs de trilles ont été étendus sur plusieurs mesures là où ils étaient interrompus
      sur chaque barre dans l'édition de référence, et ceci en dehors des cas de changement de note ou
      de variation de nuance (sFz, ... ).
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Violons : des symboles d'octaviation ont été ajoutés pour assurer une meilleure lisibilité.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Violoncelle : dans la partition de référence, les passages en clef de sol sont transposés à l'octave
      supérieure. Nous avons conservé cette disposition, en utilisant le signe d'octaviation pour lever toute
      équivoque.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Le premier mouvement comporte le repère «I», habituellement omis dans d'autres partitions - mais présent
      dans la partition de 1885.
      Ce repère a été repris ici, pour une meilleure correspondance entre différentes versions.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Le second mouvement ne comprend que les repères A, B et C. Le repère D se retrouve dans certaines éditions.
      Il a été repris dans cette version.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Dans le troisième mouvement, la mesure de la levée initiale est comptée intégralement, contrairement à l'usage.
      Nous avons repris cette particularité pour une meilleure correspondance avec les partitions existantes.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Mouvement 3, mesure 163-164, cors I à IV : les indications de sextolet sont supprimées car incorrectes.
    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Mouvement 4, dernière mesures : plusieurs éditions dont l'édition de 1885 indiquent un FF. Nous
      avons retenu le FFz de notre édition de référence.

    }
    \combine \null \vspace #0.6
    \justify \italic {
      • Mouvement 4, cordes, mesures 178-180 : toutes les éditions indiquent un jeu avec l'archet. Toutefois le
      pizzicato apparait comme plus logique, ainsi que le confirment de nombreuses interprétations.
      Les indications correspondant à cette seconde version sont indiquées entre parenthèse.
    }
    \combine \null \vspace #1
  }
}

mutopiaEng = \markup {
  \column {
    \line \bold \caps {The Mutopia project}
    \vspace #2.2
    \justify {\bold \with-url #mutopiaWebSite \mutopiaWebSite}
    \vspace #1
    \justify {
      • DigiClassic scores (Conductor, parts and study format)
      participate in the Mutopia project which aiming
      at online Internet old scores fallen into the public domain,
      with a print quality problems rarely achieved so far.
    }
    \vspace #2.2
    \justify \italic {
      • The scores are taken from the original website
      http://imslp.org/, wich includes nearly 60,000 works
      and more than 220,000 free scores (dec. 2012).
    }
    \vspace #2.2
    \justify \italic {
      • DigiClassic uses free software LilyPond for a print quality
      worthy of the engraving masters of the nineteenth century.
    }
    \vspace #2.2
    \justify \italic {
      • The scores are as faithful as possible to the originals.
      However, these old scores often show slight differences or
      inconsistencies, which are corrected as logically as possible
      (phrasing, dynamics, sometimes mistakes on notes or durations,
      indication or not of tuplet numbers).
    }
    \vspace #2.2
    \justify \italic {
      • The quotations in parts also come (if available) from original scores,
      which entrusts the book an excellent read.
    }
    \vspace #2.2
    \justify \italic {
      • The differences between the parts and the conducting score
      are kept, optimized, either for the player, or for the conductor.
    }
    \vspace #2.2
    \justify \italic {
      • Despite numerous re-readings, errors may exist in copies.
      If in doubt, check the scores on the IMSLP website,
      references to the publisher and number plate being provided with each score.
    }
    \vspace #2.2
    \justify \italic {
      • If you find any improvements, please mail
      \with-url #thisMailTo \thisMail for your comments and advice.
    }
  }
}

mutopiaFr = \markup {
  \column {
    \line \bold \caps {Le projet Mutopia}
    \vspace #2.2
    \justify { \bold \with-url #mutopiaWebSite \mutopiaWebSite }
    \vspace #1
    \justify \italic {
      • Les partitions DigiClassic (Conductrices, parties et format d'étude) participent
      au projet Mutopia qui a pour but la publication sur Internet de partitions du domaine public
      avec une qualité rarement atteinte à ce jour.
    }
    \vspace #2.2
    \justify \italic {
      • Les partitions de départ sont puisées sur le site http://imslp.org/, qui inclut environ 60.000 œuvres
      et plus de 220.000 paritions libres de droit (décembre 2012).
    }
    \vspace #2.2
    \justify \italic {
      • Les partitions DigiClassic sont gravées à l'aide du logiciel libre LilyPond pour une qualité d'impression
      digne des maîtres de la gravure du XIXe siècle.
    }
    \vspace #2.2
    \justify \italic {
      • Les partitions correspondent les plus fidèlement possible aux travaux originaux.
      Cependant, ces anciennes réalisations montrent souvent de légères différences ou
      incohérences, qui sont corrigées aussi logiquement que possible
      (phrasé, la dynamique, parfois des erreurs sur les notes ou les durées,
      spécification ou non des chiffres relatifs aux triolets, ...).
    }
    \vspace #2.2
    \justify \italic {
      • Dans les parties séparées, les citations d'autres instruments, qui assurent
      une lecture confortable à l'exécutant, proviennent également(si disponible) des partitions originales.
    }
    \vspace #2.2
    \justify \italic {
      • Les différences entre les parties et la conductrice
      sont maintenues autant que possible, optimisées, soit pour l'exécutant ou pour le dirigeant.
    }
    \vspace #2.2
    \justify \italic {
      • Malgré de nombreuses relectures, des erreurs peuvent exister dans les copies.
      En cas de doute, vérifiez les partitions sur le site IMSLP, la références de l'éditeur et du numéro
      de plaque étant fournie avec chaque partition.
    }
    \vspace #2.2
    \justify \italic {
      • Si vous trouvez des inexactitudes, corrections ou améliorations à apporter à ces partitions,
      envoyez vos commentaires et conseils à l'adresse \with-url #thisMailTo \thisMail
    }
  }
}
