%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n° 7 mouvement I, Allegro maestoso                        *
  * Fichier de notes, Cors III et IV                                    *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}
%{
  ****************************************************************
  * Cor III                                                      *
  ****************************************************************
%}

\include "Common\Version.ly"

% Cette partie est divisée en trois segments, correspondant aux changements de ton

SgMaCornoIIIA = \relative c {
  \tag #'partTrScore {
    \transposition f
  }
  \elseTag #'partTrScore {
    \transposition d
  }

  \key c \major

  \TempoI

  \tag #'partScore \tag #'partTrScore {
    <<
      {
        c'2. \pp ~
        \repeat unfold 6 {c2. ~}
        c8 r r r4 r8
      }
      \new Voice
      {
        \set countPercentRepeats = ##t
        \override PercentRepeat.transparent = ##t
        \override PercentRepeatCounter.staff-padding = #2
        \repeat percent 7 {s2.}
      }
    >>
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    c2. \pp ~
    \repeat unfold 6 {c2. ~}
    c8 r r r4 r8
  }

  R1 * 6/8 * 2

  \tag #'quoteCornoIV {
    r8. e'16 \p e,8 bes' r r
  }
  \elseTag #'quoteCornoIV {
    r8. e16 \p \Solo e,8 bes' r r
  }

  r8. e16 e,8 bes'8 r r
  R1 * 6/8 * 4
  r4 r8 des4. \f
  <<{c2.}{s4 \< s s8 s8 \!}>>
  c4. \> ~ c8 \! r r
  R1 * 6/8
  r4 r8 aes4. \ff
  ees'-> ees4 ees8
  bes4.-> ~bes8 r r
  R1 * 6/8

  \mark \default    % Mark A - mesure 25

  R1 * 6/8 * 2
  c4.-> \f aes!->
  b!-> ~ b8 r r
  c4 \bracketedF r8 c4 r8
  c4 r8 c4 r8
  g2.->
  g4. ~ g4 g8
  c r r r4 r8
  r c \f c c c f
  e r r r4 r8
  R1 * 6/8 * 2
  r4 r8 c \f c c
  f4.-> f->
  f8 r r r4 r8
  R1 * 6/8

  \mark \default    % Mark B - mesure 42

  R1 * 6/8 * 5
  r4 r8 r8. ges,16-. \f ges8-.
  ges4 r8 r4 r8
  r8. aes16-. aes8-. aes4 r8
  r8. g!16-. g8-. g4 r8
  g4 \f r8 g4 r8
  g4 r8 g r r
  R1 * 6/8

  \mark \default    % Mark C - mesure 54

  g'4-> \f g,-> g,8-. g''16 \ff [g]
  g,2. ~ g4. ~ g8. g16-. g8-.
  g4.-^ ~ g8 [r16 g-. g8-.]
  g4.-^ ~ g8 r r
  R1 * 6/8 * 13

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -4
  }

  \TempoIRit

  R1 * 6/8

  \TempoIinTempo

  \mark \default    % Mark D - mesure 73

  \tag  #'partScore \tag  #'partTrScore {
    \once \override MultiMeasureRest.minimum-length = 16
  }
  R1 * 6/8 * 20

  \mark \default    % Mark E - mesure 93

  R1 * 6/8 * 6

  \tag #'hugeConductorScore {
    R1 * 6/8 * 3
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMaCornoI" #DOWN {s4 * 0 ^\markup { \fontsize #-3 "Corni I & II"} R1 * 6/8 * 3}
    \numberMMFromI
  }

  R1 * 6/8 * 3

  \tag #'hugeConductorScore {
    R1 * 6/8 * 2
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMaCornoI" #UP {s4 * 0 ^\markup { \fontsize #-3 "Corni I & II"} R1 * 6/8 * 2}
    \numberMMFromI
  }

  \override DynamicLineSpanner.staff-padding = #2
  <<{g2.}{s4 \f -\tweak minimum-length #6 \> s4 s8 s16 s16 \!}>>
  c4. \< aes-> \!
  r8 r aes \f ~ aes4. ~
  <<{aes2.}{s4 \> s4 s8 s16 s16 \!}>>
  <<
    {aes2. -\tweak minimum-length #11 ~}{
      \rightDynamic s8 \p s8 \bracketedHairpin s -\tweak X-offset #-1.8 \> s
      s s16 s16
    }
  >>
  aes2. \pp
  \dynamicLineSpannerStandard

  \mark \default    % Mark F - mesure 113
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

SgMaCornoIIIB = \relative c'' {
  <<
    {
      R1 * 6/8 * 10
    }{
      \tag #'partTrScore {
        \transposition f
      }
      \elseTag #'partTrScore {
        s1 * 0 ^\markup {"[Muta in B♭ basso]"}
        \transposition bes,
        \tag #'hugeConductorScore \set Staff.shortInstrumentName = \markup \center-column {"Cor. III" "(B♭)"}
      }
    }
  >>

  \key c \major
  \tag #'partTrScore {
    \bar "||"
  }
  \tag #'partTrScore {
    c2. \ff
  }
  \elseTag #'partTrScore {
    c2. \ff ^\markup {"in B♭ basso"}
  }
  b!->
  c4.-> g'->
  aes( ~ aes16 [ees ces aes ) ees'8]

  \mark \default    % Mark G - mesure 127

  c!2.-> ~
  c4. ~ c4 c8
  c \ff c, [c'] ~ c c, c' ~
  c c, c' ~ c c, c' ~
  c c, c' ~ c c, c' ~
  c c, c' c,4 c8
  c4. \fz ~ c4 c8
  c4. \fz ~ c4 c8
  g' r r c r r
  c r r e [r a,]
  \tag #'partTrScore {
    b r r r4 r8
  }
  \elseTag #'partTrScore {
    b r ^\markup {"Muta in D"} r r4 r8
  }
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

SgMaCornoIIIC = \relative c'' {
  \tag #'partTrScore {
    \transposition f
  }
  \elseTag #'partTrScore {
    \transposition d
    \tag #'hugeConductorScore \set Staff.shortInstrumentName = \markup \center-column {"Cor. III" "(D)"}
  }

  R1 * 6/8

  \mark \default    % Mark H - mesure 139

  \key c \major
  \tag #'partTrScore {
    \bar "||"
  }
  \tag #'partTrScore {
    r4 r8 r8 g4 \f
  }
  \elseTag #'partTrScore {
    r4 r8 r8 g4 \f ^\markup {"in D"}
  }
  r4 r8 r g4
  r4 r8 r e'4 \dim
  <<{R1 * 6/8 * 3}{s1 * 6/8 * 0 \!}>>
  e2. \pp ~
  e
  d \ppp ~
  d

  \bar "||"    % mesure 149

  R1 * 6/8 * 8
  cis4. \ff e8-^ d-^ cis-^
  cis4. e4 cis16-. e-.
  \override DynamicLineSpanner.staff-padding = #1.8
  d4. \fz ~ d4 cis16-. e-.
  d4. \fz ~ d4 d16-. d-.
  bes4. \fz ~ bes4 bes16-. bes-.
  bes4. \fz ~ bes4 bes16-. bes-.
  c4. \fz ~ c4 c16-. c-.
  cis4. \fz ~ cis4 cis16-. cis-.
  \dynamicLineSpannerStandard

  \mark \default    % Mark I forcé - mesure 165

  d8 r r r4 r8
  R1 * 6/8 * 12
  \tag #'partScore \tag #'partTrScore {
    <<{b4.:16 b:}{s4 \p \< s s8 s16 s16 \!}>>
    <<{b4.: b:}{s4 \< s s8 s16 s16 \!}>>
  }
  \tag #'hugeConductorScore {
    <<{b4.:16 b:}{s4 \p \< s s8 s16 s16 \!}>>
    <<{b4.: b:}{s4 \< s s8 s16 s16 \!}>>
  }
  \elseTag #'partScore \elseTag #'partTrScore \elseTag #'hugeConductorScore {
    % Citations
    <<{<b' a>4.:16 <b a>:}{s4 \p \< s s8 s16 s16 \!}>>
    <<{<b a>4.: <b a>:}{s4 \< s s8 s16 s16 \!}>>
  }

  dis,2. \ff ~
  dis4. ~ dis4 c!16 \f c
  c2.:
  c:
  c2.-> \ff ~
  c

  \mark \default    % Mark J - mesure 186

  c8-> \ff bes-> c-> a-> bes-> des->
  c-> bes-> c-> a4 des16 bes
  c4.-^ ~ c4 des16 bes
  c4.-^ ~ c4 des16 bes
  c8-. bes-. c-. a-. bes-. c-.
  des4 r8 bes8 r r
  r4 r8 bes r r
  r4 r8 bes r r
  r4 r8 b! r r
  r4 r8 b r g16 g

  \bar "||"

  \mark \default    % Mark K - mesure 196

  c2.-> \ff ~
  c4. ~ c4 g8
  g4.-^ ~ g8 [r16 g g8]
  g4.-^ ~ g8 [r16 c c8]
  ces2. \ff ~
  ces
  des8 r r r4 r8
  R1 * 6/8 * 7
  r4 r8 <<{d4. ~}{\rightDynamic s4 \fz -\tweak minimum-length 7 \> s8 \!}>>
  d2. \dim ~
  <<{d2. ~}{s4 \p -\tweak minimum-length #6 \> s s8 s16 s \!}>>
  d2. \pp (

  \bar "||"

  \mark \default    % Mark L - mesure 214

  c8 ) r r r4 r8
  R1 * 6/8 * 13
  <<{g'2.}{s4 \p -\tweak minimum-length #4 \< s s8 s8 \!}>>
  <<{f2.}{s4 \fz -\tweak minimum-length #6 \> s s8 s16 s \!}>>
  e4. \p c4. -\tweak minimum-length #6 \dim ~
  <<{c2.}{s4 \> s s8 s16 s \!}>>
  c2. \pp ~
  c8 r r r4 r8
  R1 * 6/8 * 3

  \mark \default    % Mark M - mesure 237

  R1 * 6/8
  \override DynamicLineSpanner.staff-padding = #2
  b2. \f
  e,4.-> \< a8-> b-! c-! \!
  c2.-^ ~
  <<{c}{s4 s8 s8 -\tweak minimum-length #6 \dim}>>
  <<{c2. ~}{s4 \p \> s s8 s16 s \!}>>
  c2. \pp
  \dynamicLineSpannerStandard
  R1 * 6/8 * 4

  \bar "||"    % mesure 248

  % citation par les trompettes : on relève d'une octave
  \tag #'quoteTrombaI \tag #'quoteTrombaII {
    g2. \p ~
    <<{g ~}{s4 s8 s8 \cresc}>>
    g2. ~
    g2. \mf ~
    <<{g2.}{s4 \< s s8 s8 \!}>>
  }
  \elseTag #'quoteTrombaI \elseTag #'quoteTrombaII {
    g,2. ^\p ~
    <<{g ~}{s4 s8 s8 ^\cresc}>>
    g2. ~
    g2. ^\mf ~
    <<{g2.}{s4 -\tweak minimum-length #7 ^\< s s8 s8 \!}>>
  }

  R1 * 6/8 * 3
  c4.-> \ff f->
  c'-> ~ c8 r r
  des4.-> \fz ~ des8 r r
  des4.-> \fz ~ des8 r r
  ees,4.-^ ~ ees8 r r
  ees4.-^ ~ ees8 r r
  f4.-^ ~ f8 r r
  f4.-^ ~ f8 r r
  c'2.-^
  ees8-^ c-^ d-^ ees-^ c-^ ees-^

  \mark \default    % Mark N - mesure 266

  ees2.-^
  g4.-^ ~ g4 ees16-. f-.

  \TempoIPaPAcc

  g8-> ees f g-> ees f

  \tag #'partScore \tag #'partTrScore {
    \noBreak
  }

  g-> ees f g-> ees c16 \bracketedFF [d]
  ees8-^ c-^ d-^ ees-^ c-^ d-^
  ees-^ c-^ d-^ ees-^ c-^ d-^
  ees4. e-> ~
  e2.
  f \fz
  f \fz

  \mark \default    % Mark O - mesure 276

  ees8 r r c,4.-^ ~
  c2. ~
  c ~
  c
  c'4. \ff ( ees4-^ ) d8 ~
  d g, c c c c
  c c g g c g
  c d [ees] d \> ees d \!
  ees-. g,-. [g-.] \dim g-. g-. g-.
  g g4 \p ~ g4. ~
  g8 g \pp [g] g g g

  \TempoITempoPrimo

  \mark \default    % Mark P - mesure 287

  \tag #'partScore \tag #'partTrScore {
    <<
      {
        \repeat unfold 9 {c,2. ~}
      }
      \new Voice
      {
        \set countPercentRepeats = ##t
        \override PercentRepeat.transparent = ##t
        \override PercentRepeatCounter.staff-padding = #2
        \repeat percent 9 {s2.}
      }
    >>
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    \repeat unfold 9 {c2. ~}
  }

  c4 r8 r4 r8
  R1 * 6/8 * 4

  \mark \default    % Mark Q - mesure 301

  c'2. \pp ~
  c ~
  c8 r r r4 r8
  R1 * 6/8 * 5

  \TempoIPocoRit    % Mesure 309

  R1 * 6/8 * 2
  c4 \pp r8 c4 \dim r8
  c4. r4 r8 \!
  c4 r8 c4 r8
  c2. \fermata

  \bar "|."
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


SgMaCornoIII = {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I

  \tag #'partScore \tag #'partTrScore {
    \set Staff.minimumPageTurnLength = #(ly:make-moment 9/8)
    \numberMMFromI
    \cueEventType
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    \numberMMFromII
  }

  \tag #'partTrScore {
    \transpose f d \SgMaCornoIIIA
    \transpose f bes, \SgMaCornoIIIB
    \transpose f d \SgMaCornoIIIC
  }
  \elseTag #'partTrScore {
    \SgMaCornoIIIA
    \SgMaCornoIIIB
    \SgMaCornoIIIC
  }
}

%{
  ****************************************************************
  * Cor IV                                                       *
  ****************************************************************
%}

\include "Common\Version.ly"

% Cette partie est divisée en trois segments, correspondant aux changements de ton

SgMaCornoIVA = \relative c, {
  \tag #'partTrScore {
    \transposition f
  }
  \elseTag #'partTrScore {
    \transposition d
  }

  \key c \major

  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I

  \tag #'partScore \tag #'partTrScore {
    \set Staff.minimumPageTurnLength = #(ly:make-moment 9/8)
    \numberMMFromI
    \cueEventType
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    \numberMMFromII
  }


  \TempoI

  \tag #'hugeConductorScore {
    c2. \pp ~
    \repeat unfold 6 {c2. ~}
    c8
    r r r4 r8
  }
  \elseTag #'hugeConductorScore {
    \tag #'partTrScore {
      \trebleToBass
      <<
        {
          c'2. \pp ~
          \repeat unfold 6 {c2. ~}
          c8
          r r r4 r8
          \clef treble
        }
        \new Voice
        {
          \set countPercentRepeats = ##t
          \override PercentRepeat.transparent = ##t
          \override PercentRepeatCounter.staff-padding = #2
          \repeat percent 7 {s2.}
        }
      >>

    }
    \elseTag #'partTrScore {
      <<
        {
          c,2. \pp ~
          \repeat unfold 6 {c2. ~}
          c8 r r r4 r8
        }
        \new Voice
        {
          \set countPercentRepeats = ##t
          \override PercentRepeat.transparent = ##t
          \override PercentRepeatCounter.staff-padding = #2
          \repeat percent 7 {s2.}
        }
      >>
    }
  }

  \clef treble
  R1 * 6/8 * 2

  \tag #'hugeConductorScore {
    R1 * 6/8 * 2
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMaCornoIII" #DOWN {
      s4 * 0 ^\markup { \fontsize #-3 "Corno III"}
      \override MultiMeasureRest.staff-position = #6 R1 * 6/8 * 2
    }
    \revert MultiMeasureRest.staff-position
    \numberMMFromI
  }

  R1 * 6/8 * 4
  \override DynamicLineSpanner #'#'staff-padding = #2.6
  \tag #'partTrScore {
    r4 r8 des''4. \f
  }
  \elseTag #'partTrScore {
    r4 r8 des4. \f
  }

  <<{c2.}{s4 \< s s8 s8 \!}>>
  c4. \> ~ c8 \! r r
  \dynamicLineSpannerStandard
  R1 * 6/8
  r4 r8 f4. \ff
  ees-> ees4 ees8
  g4.-> ~ g8 r r
  R1 * 6/8

  \mark \default    % Mark A - mesure 25

  R1 * 6/8 * 2
  aes4.-> \f f->
  b,!-> ~ b8 r r
  c4 \bracketedF r8 c4 r8
  c4 r8 c4 r8
  g2.->
  g4. ~ g4 g8
  c r r r4 r8
  R1 * 6/8 * 4
  r4 r8 c \f c c
  f4.-> f->
  f8 r r r4 r8
  R1 * 6/8

  \mark \default    % Mark B - mesure 42

  R1 * 6/8 * 5
  r4 r8 r8. ges16-. \f ges8-.
  ges4 r8 r4 r8
  r8. aes16-. aes8-. aes4 r8
  r8. g!16-. g8-. g4 r8
  g,4 \f r8 g4 r8
  g4 r8 g r r
  R1 * 6/8

  \mark \default    % Mark C - mesure 54

  g''4-> \f g,-> g,8-. g'16 \ff [g]
  \tag #'partTrScore {
    \clef bass
  }
  g,2. ~ g4. ~ g8. g16-. g8-.
  g4.-^ ~ g8 [r16 g-. g8-.]
  g4.-^ ~g8 r r
  \tag #'partTrScore {
    \clef treble
  }
  R1 * 6/8 * 13

  \tag #'partScore \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -4
  }
  \TempoIRit

  R1 * 6/8

  \mark \default    % Mark D - mesure 73

  \tag #'partTrScore {
    \once \override Score.MetronomeMark.X-offset = -4.7
  }
  \TempoIinTempo

  R1 * 6/8 * 20

  \mark \default    % Mark E - mesure 93

  R1 * 6/8 * 4

  \tag #'hugeConductorScore {
    R1 * 6/8 * 5
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMaCornoI" #DOWN {
      s4 * 0 ^\markup { \fontsize #-3 "Corni I & II"}
      \override MultiMeasureRest.staff-position = #6
      R1 * 6/8 * 2
      \override MultiMeasureRest.staff-position = #4
      R1 * 6/8 * 3
    }
    \numberMMFromI
    \revert MultiMeasureRest.staff-position
  }

  R1 * 6/8 * 3

  \tag #'hugeConductorScore {
    R1 * 6/8 * 2
  }
  \elseTag #'hugeConductorScore {
    \numberMMFromII
    \cueDuring #"scoreSgMaCornoI" #UP {
      s4 * 0 ^\markup { \fontsize #-3 "Corni I & II"}
      R1 * 6/8 * 2
    }
    \numberMMFromI
  }
  <<{g'2.}{s4 \f -\tweak minimum-length #5 \> s s8 s16 s16 \!}>>
  c4. \< f,-> \!
  r8 r aes, \f ~ aes4. ~
  <<{aes2.}{s4 \> s s8 s16 s16 \!}>>
  aes2. \p

  \tag #'partTrScore {
    R1 * 6/8
  }
  \elseTag #'partTrScore {
    \longMMR -3 ^\markup "[Muta in B♭ basso]" 17 R1 * 6/8
  }

  \tag #'hugeConductorScore \set Staff.shortInstrumentName = \markup \center-column {"Cor. IV" "(B♭)"}

  \mark \default    % Mark F - mesure 113
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

SgMaCornoIVB = \relative c'' {

  \tag #'partScore {
    \pageTurn
  }
  <<
    {
      R1 * 6/8 * 10
    }{
      \tag #'partTrScore {
        \transposition f
      }
      \elseTag #'partTrScore {
        s1 * 0 ^\markup {"[Muta in B♭ basso]"}
        \transposition bes,
        \tag #'hugeConductorScore \set Staff.shortInstrumentName = \markup \center-column {"Cor. III" "(B♭)"}
      }
    }
  >>

  \tag #'partTrScore {
    \bar "||"
    \key c \major
  }
  \tag #'partTrScore {
    c,2. \ff
  }
  \elseTag #'partTrScore {
    c2. \ff ^\markup {"in B♭ basso"}
  }
  b2.
  c4.-> g'->
  aes -\tweak positions #'(2.7 . 0.5 ) ( ~ aes16 [ees' ces aes ) ees'8]

  \mark \default    % Mark G - mesure 127

  c,!2.-> ~
  c4. ~ c4 c8
  g' \ff c, [c'] ~ c c, c' ~
  c c, c' ~ c c, c' ~
  c c, c' ~ c c, c' ~
  c c, c' c,4 c8
  c4. \fz ~ c4 c8
  c4. \fz ~ c4 c8
  c r r c' r r
  c r r e [r a,]
  \tag #'partTrScore {
    b r r r4 r8
  }
  \elseTag #'partTrScore {
    b r ^\markup {"Muta in D"} r r4 r8
  }
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

SgMaCornoIVC = \relative c' {

  \tag #'partTrScore {
    \transposition f
  }
  \elseTag #'partTrScore {
    \transposition d
    \tag #'hugeConductorScore \set Staff.shortInstrumentName = \markup \center-column {"Cor. III" "(D)"}
  }

  R1 * 6/8

  \mark \default    % Mark H - mesure 139

  \tag #'partTrScore {
    \bar "||"
    \key c \major
  }
  \tag #'partTrScore {
    r4 r8 r8 g4 \f
  }
  \elseTag #'partTrScore {
    r4 r8 r8 g4 \f ^\markup {"in D"}
  }
  r4 r8 r g4
  r4 r8 r e'4 \dim
  <<{R1 * 6/8 * 7}{s1 * 6/8 * 0 \!}>>

  \bar "||"    % mesure 149

  R1 * 6/8 * 8

  cis'4. \ff e8-^ d-^ cis-^
  cis4. e4 cis16-. e-.
  d4. \fz ~ d4 cis16-. e-.
  d4. \fz ~ d4 d16-. d-.
  bes4. \fz ~ bes4 bes16-. bes-.
  bes4. \fz ~ bes4 bes16-. bes-.
  f4. \fz ~ f4 f16-. f-.
  ees4. \fz ~ ees4 ees16-. ees-.

  \mark \default    % Mark I forcé - mesure 165

  <<{d2. ~}{s4 \fp -\tweak minimum-length 7 \> s s8 s16 s \!}>>
  d2. \pp
  <<{d2. ~}{s4 \fp -\tweak minimum-length 7 \> s s8 s16 s32 s \!}>>
  d2. \pp
  R1 * 6/8 * 9
  <<{a'4.:16 a:}{s4 \p \< s s8 s16 s16 \!}>>
  <<{a2.:}{s4 \< s s8 s16 s16 \!}>>
  b2. \ff ~
  b4. ~ b4 aes16 \f aes
  aes2.:
  aes:
  aes2.-> \ff ~
  aes

  \mark \default    % Mark J - mesure 186

  a!8-> \ff g-> a-> f-> g-> bes->
  a-> g-> a-> f4 bes16 g
  a4.-^ ~ a4 bes16 g
  a4.-^ ~ a4 bes16 ges
  a!8-. g!-. a-. f-. g-. a-.
  bes4 r8 bes8 r r
  r4 r8 bes r r
  r4 r8 bes r r
  r4 r8 b! r r
  r4 r8 b r g16 g

  \bar "||"

  \mark \default    % Mark K - mesure 196

  c2.-> \ff ~
  c4. ~ c4 g,8
  g4.-^ ~ g8 [r16 g g8]
  g4.-^ ~ g8 [r16 c' c8]
  aes2. \ff ~
  aes
  bes8 r r r4 r8
  R1 * 6/8 * 7
  r4 r8 <<{d,4. ~}{\rightDynamic s4 \fz -\tweak minimum-length 7 \> s8 \!}>>
  d2. \dim ~
  <<{d4. ( g, )}{s4 \p \> s s8 s16 s \!}>>
  g2. ~ \pp

  \bar "||"

  \mark \default    % Mark L - mesure 214

  g8 r r r4 r8
  R1 * 6/8 * 2
  r4 r8 d'4. \fz \> ~
  <<{d2. ~}{s4 s4 s8 s16 s \!}>>
  <<{d2. ~}{s4 \p -\tweak minimum-length #5 \> s4 s8 s \!}>>
  d2. \pp ~
  <<{d2. ~}{s4 \< s s8 s16 s \!}>>
  <<{d2. ~}{s4 \< s s8 s16 s \!}>>
  d8 r r r4 r8
  R1 * 6/8 * 4
  <<{g2.}{s4 \p -\tweak minimum-length #5 \< s s8 s8 \!}>>
  <<{f'2.}{s4 \fz -\tweak minimum-length #6 \> s s8 s16 s \!}>>
  e4. \p c,4. -\tweak minimum-length #6 \dim ~
  <<{c2.}{s4 \> s s8 s16 s \!}>>
  c2. \pp ~
  c8 r r r4 r8
  R1 * 6/8 * 3

  \mark \default    % Mark M - mesure 237

  R1 * 6/8
  b'2. \f
  e,4.-> \< a8-> b-! c-! \!
  c,2.-^ ~
  <<{c}{s4 s8 s8 -\tweak minimum-length #6 \dim}>>
  <<{c2.}{s4 \p -\tweak minimum-length #6 \> s s8 s16 s \!}>>
  R1 * 6/8 * 5

  \bar "||"    % mesure 248

  g2. ^\p ~
  <<{g ~}{s4 s8 s8 ^\cresc}>>
  g2. ~
  g2. ^\mf ~
  <<{g2.}{s4 -\tweak minimum-length #5 ^\< s s8 s8 \!}>>
  R1 * 6/8 * 3
  c4.-> \ff f->
  c'-> ~ c8 r r
  des4.-> \fz ~ des8 r r
  des4.-> \fz ~ des8 r r
  ees,4.-^ ~ ees8 r r
  ees4.-^ ~ ees8 r r
  f4.-^ ~ f8 r r
  f4.-^ ~ f8 r r
  a2.-^
  ees8-^ c-^ d-^ ees-^ c-^ ees-^

  \mark \default    % Mark N - mesure 266

  ees2.-^
  ees'4.-^ ~ ees4 g,16-. bes-.

  \TempoIPaPAcc

  ees8-> g, bes ees-> g, bes
  \tag #'partTrScore \tag #'partScore {
    \noBreak
  }
  ees-> g, bes ees-> g, c16 \bracketedFF [d]
  ees8-^ c-^ d-^ ees-^ c-^ d-^
  ees-^ c-^ d-^ ees-^ c-^ d-^
  c4. des-> ~
  des2.
  c \fz
  b! \fz

  \mark \default    % Mark O - mesure 276

  c8 r r c,4.-^ ~
  c2. ~
  c ~
  c
  c'4. \ff ( ees4-^ ) d8 ~
  d g, c, c c c
  c c g' g c, g'
  c, g' [g] g \> g g \!
  g-. g,-. [c-.] \dim g-. c-. g-.
  \tag #'partTrScore {
    \clef bass
  }
  c g4 \p ~ g4. ~
  g8 g \pp [g] g g g

  \TempoITempoPrimo

  \mark \default    % Mark P - mesure 287

  \tag #'partScore {
    \clef bass
    \transposition d,
    <<
      {
        \repeat unfold 9 {c,,2. ~}
      }
      \new Voice
      {
        \set countPercentRepeats = ##t
        \override PercentRepeat.transparent = ##t
        \override PercentRepeatCounter.staff-padding = #2
        \repeat percent 9 {s2.}
      }
    >>
    c4
    r8 r4 r8
    \transposition d
    \clef treble
  }
  \tag #'partTrScore {
    \clef bass
    <<
      {
        \repeat unfold 9 {c'2. ~}
      }
      \new Voice
      {
        \set countPercentRepeats = ##t
        \override PercentRepeat.transparent = ##t
        \override PercentRepeatCounter.staff-padding = #2
        \repeat percent 9 {s2.}
      }
    >>
    c4
    r8 r4 r8
    \clef treble
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    \repeat unfold 9 {c2. ~}
    c4 r8 r4 r8
  }

  R1 * 6/8 * 3
  r4 r8 r4 c'8 \pp

  \mark \default    % Mark Q - mesure 301

  % Si appelé par le cor II, on ajoute le cor III et IV sur ce cor IV

  \tag #'quoteCornoII
  {
    <c c'>2. ~
    <c c'>2.
    s1. * 6
  }
  \elseTag #'quoteCornoII {
    \tag #'partScore \tag #'partTrScore {
      <<
        {
          c2. ~
          c ~
          c ~
          c ~
          c ~
          c ~
          c \dim ~
          c
        }
        \new Voice
        {
          \set countPercentRepeats = ##t
          \override PercentRepeat.transparent = ##t
          \override PercentRepeatCounter.staff-padding = #2
          \repeat percent 8 {s2.}
        }
      >>
    }
    \elseTag #'partScore \elseTag #'partTrScore {
      c2. ~
      c ~
      c ~
      c ~
      c ~
      c ~
      c \dim ~
      c
    }
  }

  \TempoIPocoRit    % Mesure 309

  c4. \pp ~ c8 r r
  c4. ~ c8 r r
  c4 r8 c4 \dim r8
  c4. r4 r8 \!
  \tag #'partScore {
    \clef bass
    \transposition d,
    c,,2. ~
    c2. \fermata
  }
  \tag #'partTrScore {
    \clef bass
    c'2. ~
    c2. \fermata
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    c2. ~
    c2. \fermata
  }

  \bar "|."
}

%%%%%%%%%%%%%

SgMaCornoIV = {
  \include "Common\Properties.ly"
  \set Score.markFormatter = #format-mark-box-alphabet  % pour utiliser la lettre I

  \tag #'partScore \tag #'partTrScore {
    \set Staff.minimumPageTurnLength = #(ly:make-moment 9/8)
    \numberMMFromI
    \cueEventType
  }
  \elseTag #'partScore \elseTag #'partTrScore {
    \numberMMFromII
  }

  \tag #'partTrScore {
    \transpose f d \SgMaCornoIVA
    \transpose f bes, \SgMaCornoIVB
    \transpose f d \SgMaCornoIVC
  }
  \elseTag #'partTrScore {
    \SgMaCornoIVA
    \SgMaCornoIVB
    \SgMaCornoIVC
  }
}


%{
  ***************************************************************
  * Création des voix                                           *
  ***************************************************************
%}

% Pas de transposition, celle-ci est faite dans la VOIX

voiceSgMaCornoIII = \new Voice {
  \time 6/8
  \tag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Corno III" "in F"}
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Corno III" "in D"}
    \tag #'hugeConductorScore \set Staff.shortInstrumentName = \markup \center-column {"Cor. III" "(D)"}
    \elseTag #'hugeConductorScore \set Staff.shortInstrumentName = ""
  }

  \set Staff.midiInstrument = "french horn"

  \clef treble
  \SgMaCornoIII
}

voiceSgMaCornoIV = \new Voice {
  \time 6/8
  \tag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Corno IV" "in F"}
    \set Staff.shortInstrumentName = ""
  }
  \elseTag #'partTrScore {
    \set Staff.instrumentName = \markup \fontsize #3 \center-column {"Corno VI" "in D"}
    \tag #'hugeConductorScore \set Staff.shortInstrumentName = \markup \center-column {"Cor. VI" "(D)"}
    \elseTag #'hugeConductorScore \set Staff.shortInstrumentName = ""
  }

  \set Staff.midiInstrument = "french horn"

  \clef treble
  \elseTag #'partTrScore {
    \trebleToBass
  }
  \SgMaCornoIV
}

quoteScoreSgMaCornoIII = \SgMaCornoIII
quoteScoreSgMaCornoIV = \SgMaCornoIV
