%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : mouvement II - Poco Adagio                          *
  * Fichier de notes, Timbales                                          *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

SgMbTimpani =
\relative c, {

  \include "Common\Properties.ly"

  \tag #'partScore {
    \set Staff.minimumPageTurnLength = #(ly:make-moment 4/4)
    \cueEventType
    \numberMMFromI
  }

  \TempoII

  \tag #'partScore {
    <<{
      R1 * 8
      r4

      \numberMMFromII
      \cueDuring #"scoreSgMbCornoII" #UP {s4 * 0 ^\markup { \fontsize #-3 "Corni II&IV"} r4 r2 r4}
      \numberMMFromI

      s1 * 0 ^\markup {"[in F & C]"}
    }>>
  }
  \elseTag #'partScore {
    <<{R1 * 9}{s1 * 0 ^\markup {"[in F & C]"}}>>
    r4
  }

  \tag #'partScore {
    <<{f2.}{\rightDynamic s4 \fp -\tweak minimum-length #9 \> \startTrillSpan s4 s8 s16 s16 \stopTrillSpan \!}>>
  }
  \elseTag #'partScore {
    <<{f2.}{\rightDynamic s4 \fp -\tweak minimum-length #8 \> \startTrillSpan s4 s8 s16 s16 \stopTrillSpan \!}>>
  }

  \mark \default    % Mark A - mesure 11

  f8 \pp r r4 r2

  R1 * 17
  r2 r4

  \tag #'partScore {
    \numberMMFromII
    \cueDuring #"scoreSgMbVioloncello" #UP {s4 * 0 -\tweak X-offset #-4.5 ^\markup { \fontsize #-3 "Celli"} r4 R1 * 2}
    \numberMMFromI
  }
  \elseTag #'partScore {
    r4
    R1 * 2
  }

  \mark \default    % Mark B - mesure 32

  \tag #'partScore {
    <<{
      f1 \pp \startTrillSpan
      f1
      f1
      f1
      f1
      <<{f1}{s4 s4 s4 s8 s16 s32 \stopTrillSpan}>>
      }
      \new Voice
      {
        \set countPercentRepeats = ##t
        \override PercentRepeatCounter.outside-staff-priority = #51
        \override PercentRepeatCounter.staff-padding = #3
        \override PercentRepeat.transparent = ##t
        \repeat percent 6 {s1}
    }>>
  }
  \elseTag #'partScore {
    f1 \pp \startTrillSpan
    f1
    f1
    f1
    f1
    <<{f1}{s4 s4 s4 s8 s16 s32 \stopTrillSpan}>>
  }

  f4 r r2

  \tag #'partScore {
    <<{r2 c'2 \trill}{s4 s \bracketedHairpin s4 \f -\tweak minimum-length #6 -\tweak X-offset #2 \<
      s8 s \bindDynamics}>>
  }
  \elseTag #'partScore {
    <<{r2 c2}{s4 s \bracketedHairpin s4 \startTrillSpan \f -\tweak X-offset #2 \< s8 s16 \! s \stopTrillSpan}>>
  }

  f,16 \ff f
  r8 r f f16 f r8 r f
  r4 r8 c' f,16-. f-. r8 r4
  f16 \ff f r8 r c' \> f,16 f r8 \! r4
  f16 \p f r8 r f8 \> f16 f r8 r c' \!

  \mark \default    % Mark C - mesure 44

  f, \pp r8 ^\markup {"[C Muta in E]"} r4 r2
  R1 * 12

  \tag #'partScore {
    \numberMMFromII
    \cueDuringWithClef #"scoreSgMbCornoI" #DOWN "treble" {s4 * 0 ^\markup { \fontsize #-3 "Cor. I"} R1 * 2}
    \numberMMFromI
  }
  \elseTag  #'partScore {
    R1 * 2
  }

  \tag #'partScore {
    e'1 \pp \startTrillSpan
    e1
    e1
    <<{e1}{s4 \< s4 s4 s8 \stopTrillSpan \!}>>
  }
  \elseTag #'partScore {
    e1 \pp \startTrillSpan
    e1
    e1
    <<{e1}{s4 s4 s4 \< s8 s16 s32 \! \stopTrillSpan}>>
  }

  \mark \default    % Mark D - mesure 63

  e16 \f r8. r \tuplet 3/2 {e32 e e} e8 r r4
  R1 * 5

  \tag #'partScore {
    e1 \pp \trill
  }
  \elseTag #'partScore {
    <<{e1 \pp}{s4 \startTrillSpan s4 s4 s8 s16 s32 s \stopTrillSpan}>>
  }

  \tag #'partScore {
    <<{\longMML 14 R1 * 20}{s1 * 0 -\tweak X-offset -2.5 ^\markup {"[E Muta in C]"}}>>
  }
  \elseTag #'partScore {
    <<{R1 * 20}{s1 * 0 ^\markup {"[E Muta in C]"}}>>
  }

  \tag #'partScore {

    \numberMMFromII
    \cueDuring #"scoreSgMbTromboneIII" #UP {s4 * 0 ^\markup { \fontsize #-3 "Trmb."} r2}
    \numberMMFromI
   
    \override DynamicLineSpanner.staff-padding = #2
    <<{c2}{s4 \trill \ff s8 s16 s32 \!}>>
  }
  \elseTag #'partScore {
    <<{r2 c2}{s2 s4 \ff \< \startTrillSpan s8 s16  s \! \stopTrillSpan}>>
  }

  \tag #'partScore {
    <<
      {f,1 \startTrillSpan}{
        \rightDynamic s4 \ffz \bindDynamics \bracketedHairpin s4 -\tweak minimum-length #4 \> s4 s8 \bindDynamics
      }
    >>
    <<{f1}{s8 \p -\tweak minimum-length 6 \> s s4 s4 s8 s16 s32 \bindDynamics}>>
    <<{f1}{s4 \pp \bindDynamics s \> s4 s8 s16 s32}>>
    <<{f1}{s4 s4 s4 s8 s16 s \stopTrillSpan \!}>>
    f4 r r2
    \dynamicLineSpannerStandard
  }
  \elseTag #'partScore {
    <<{f1}{s4 \ffz \startTrillSpan s4 \bracketedHairpin s4 \> s8 s16 s32 \!}>>
    <<{f1}{s8  \p s \> s4 s4 s8 s16 s32 \!}>>
    <<{f1}{s8 \pp s  s4 \> s4 s8 s16 s32}>>
    <<{f1}{s4 s4 s4 s8 s16 \!  s32 \stopTrillSpan}>>
    f4 r r2
  }

  R1 * 8
  \time 2/4
  R2
  \time 4/4

  \tag #'partScore {
    <<{f1 \startTrillSpan}{s4 \fz -\tweak minimum-length 7 \> s4 s4 s8 s16 s32 \!}>>
    f1 \pp
    <<{f1}{s4 s s s8 s16 s \stopTrillSpan}>>
  }
  \elseTag #'partScore {
    <<{f1}{s4 \fz \> \startTrillSpan s4 s4 s8 s16 s32 \!}>>
    f1 \pp
    <<{f1}{s4 s4 s4 s8 s16 s32 \stopTrillSpan}>>
  }

  f4 r r2
  R1
  \numberMMFromII
  R1 ^\fermataMarkup

  \bar "|."
}

voiceSgMbTimpani = \new Voice {
  \time 4/4
  \tag #'partScore {
    \set Staff.instrumentName = \markup {\fontsize #3 \center-column {"Timpani" \magnify #1.1 "in F & C"}}
  }
  \elseTag #'partScore {\set Staff.instrumentName = \markup {\fontsize #3 "Timpani" }}
  \tag #'hugeConductorScore \tag #'conductorScore \tag #'studyScore {\set Staff.shortInstrumentName = "Timp."}
  \tag #'partScore {\set Staff.shortInstrumentName = ""}
  \set Staff.midiInstrument = "timpani"
  \clef bass
  \SgMbTimpani
}

quoteScoreSgMbTimpani = \SgMbTimpani



%{
convert-ly.py (GNU LilyPond) 2.18.2  convert-ly.py: Processing `'...
Applying conversion: 2.17.0, 2.17.4, 2.17.5, 2.17.6, 2.17.11, 2.17.14,
2.17.15, 2.17.18, 2.17.19, 2.17.20, 2.17.25, 2.17.27,  Not smart
enough to convert staff-padding. Staff-padding now controls the
distance to the baseline, not the nearest point.2.17.29, 2.17.97,
2.18.0
%}
