%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : mouvement II - Poco Adagio                          *
  * Fichier de notes, Trombone 3                                        *
  *                                                                     *
  * Ne pas compiler                                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"

SgMbTromboneIII =
\relative c, {

  \include "Common\Properties.ly"

  \tag #'partScore {
    \set Staff.minimumPageTurnLength = #(ly:make-moment 4/4)
    \cueEventType
  }
  \tag #'partScore {
    \numberMMFromI
  }

  \TempoII

  R1 * 8

  \tag #'partScore {
    r4
    \numberMMFromII
    \cueDuring #"scoreSgMbCornoII" #UP {s4 * 0 ^\markup { \fontsize #-3 "Corni II&IV"} r4 r2 r4}
    \numberMMFromI
  }
  \elseTag #'partScore {
    R1
    r4
  }

  <<{f2. ~}{s4 \fp -\tweak minimum-length 8 \> s4 s8 s16 s16 \!}>>

  \mark \default    % Mark A - mesure 11

  f8 \pp r r4 r2
  R1 * 6

  \tag #'partScore {
    r4
    \numberMMFromII
    \cueDuringWithClef #"scoreSgMbViolinoI" #UP treble {s4 * 0 ^\markup { \fontsize #-3 "Vl I"} r4 r2}
    \numberMMFromI
  }
  \elseTag #'partScore {
    R1
  }

  r4 des-- \pp ( des-- ) r
  R1
  r4 des-- \pp ( des-- ) r
  R1 * 10

  \mark \default    % Mark B - mesure 32

  R1 * 6

  \tag #'partScore {
    \numberMMFromII
    \cueDuring #"scoreSgMbCornoII" #UP {s4 * 0 ^\markup { \fontsize #-3 "Corno II"} R1 r2}
    \numberMMFromI
    \override DynamicLineSpanner.staff-padding = #2
  }
  \elseTag #'partScore {
    R1
    r2
  }

  <<{g'4 c,}{\bracketedHairpin s4 \f -\tweak X-offset #2 \< s8 s8 \!}>>
  f,4-> \ff aes-> des-> bes->
  ees( aes, ) des( ges, )
  bes( aes ) \> des( ges, ) \!
  <<{g4 ( aes2 ) aes4 (}{s4 \p s8 s8 \> s4 s8 s8 \!}>>

  \mark \default    % Mark C - mesure 44

  des8 ) \pp r r4 r2 |

  \tag #'partScore {
    \dynamicLineSpannerStandard
  }

  R1 * 12

  \tag #'partScore {
    \numberMMFromII
    \cueDuringWithClef #"scoreSgMbCornoII" #DOWN "treble" {s4 * 0 ^\markup { \fontsize #-3 "Corni"} R1 * 2}
    \numberMMFromI
    \override DynamicLineSpanner.staff-padding = #2
  }
  \elseTag #'partScore {
    R1 * 2
  }


  e1 \ppp
  e
  e
  <<{e1}{s4 s4 s4 -\tweak minimum-length 6 \< s8 s16 s16 \!}>>
 
  \mark \default    % Mark D - mesure 63

  e16 \f r8. r e16-. e-. r8. r4
  R1 * 21

  \tag #'partScore {
    \numberMMFromII
    \cueDuringWithClef #"scoreSgMbCornoII" #DOWN "treble" {s4 * 0 ^\markup { \fontsize #-3 "Corni I&II"} R1 r2}
    \numberMMFromI
  }
  \elseTag #'partScore {
    R1
    r2
  }

  cis \f
  d4 c8-. f,-. bes4-> a->
  g-> bes-> c8 r r4
  R1

  \tag #'quoteTimpani {
    <c c'>2 \ff c8-^ bes-^ g-^ c-^
  }
  \elseTag #'quoteTimpani {
    <<{c2 c8-^ bes-^ g-^ c-^}{s4 \ff \bindDynamics s4 s4 \< s8 s16 s}>>
  }
  <<{f,1-^ ~}{s2 -\tweak extra-spacing-width #'(0 . 4) \ffz s4 -\tweak minimum-length #5 \> s8 s16 s \!}>>
  \dynamicLineSpannerStandard
  f4 r r2
  R1 * 11
  \time 2/4
  R2
  \time 4/4
  R1 * 5
  \numberMMFromII
  R1 ^\fermataMarkup

  \bar "|."
}

voiceSgMbTromboneIII = \new Voice {
  \time 4/4
  \set Staff.instrumentName = \markup {\fontsize #3 {"Trombone III"}}
  \tag #'hugeConductorScore \tag #'conductorScore \tag #'studyScore {
    \set Staff.shortInstrumentName = \markup {"Trmb. III"}}
  \tag #'partScore {\set Staff.shortInstrumentName = ""}
  \set Staff.midiInstrument = "trombone"
  \key f \major
  \clef bass
  \SgMbTromboneIII
}

quoteScoreSgMbTromboneIII = \SgMbTromboneIII
