%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Clarinette I                     *
  *                                                                     *
  * *******************************                                     *
  * * Fichier principal           *                                     *
  * *******************************                                     *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Clarinetto I"
partShort = "Cl1"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Clarinetto_I_II.ly"

% Citations
% Clarinette déjà inclus
\addQuote scoreSgMaClarinettoII { \keepWithTag #'quoteClarinettoI \quoteScoreSgMaClarinettoII }

staffSgMaClarinettoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMaClarinettoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Clarinetto_I_II.ly"

% Citations

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_I.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violoncello.ly"
\addQuote scoreSgMbFlautoI { \keepWithTag #'quoteClarinettoI \quoteScoreSgMbFlautoI }
\addQuote scoreSgMbClarinettoII { \keepWithTag #'quoteClarinettoI \quoteScoreSgMbClarinettoII }
\addQuote scoreSgMbViolinoI { \keepWithTag #'quoteClarinettoI \quoteScoreSgMbViolinoI }
\addQuote scoreSgMbVioloncello { \keepWithTag #'quoteClarinettoI \quoteScoreSgMbVioloncello }


staffSgMbClarinettoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbClarinettoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Clarinetto_I_II.ly"

% Citations
% Clarinette déjà inclus
\addQuote scoreSgMcClarinettoII { \keepWithTag #'quoteClarinettoI \quoteScoreSgMcClarinettoII }


staffSgMcClarinettoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMcClarinettoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Clarinetto_I_II.ly"

% Citations
% Clarinette déjà inclu
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_I_II.ly"
\addQuote scoreSgMdCornoI { \keepWithTag #'quoteClarinettoI \quoteScoreSgMdCornoI }
\addQuote scoreSgMdClarinettoII { \keepWithTag #'quoteClarinettoI \quoteScoreSgMdClarinettoII }

staffSgMdClarinettoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMdClarinettoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMaClarinettoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
  
  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#10 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMbClarinettoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
  
  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#10 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMcClarinettoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
  
  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#10 \bold "IV "}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMdClarinettoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
