%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Clarinette 2                     *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Clarinetto II transposed in B"
partShort = "Cl2<B>"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Clarinetto_I_II.ly"

% Citations
% Clarinette déjà inclus
\addQuote scoreSgMaClarinettoI { \keepWithTag #'quoteClarinettoII \quoteScoreSgMaClarinettoI }

staffSgMaClarinettoII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMaClarinettoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Clarinetto_I_II.ly"

% Citations

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_I.ly"
\addQuote scoreSgMbClarinettoI { \keepWithTag #'quoteClarinettoII \quoteScoreSgMbClarinettoI }
\addQuote scoreSgMbViolinoI { \keepWithTag #'quoteClarinettoII \quoteScoreSgMbViolinoI }

staffSgMbClarinettoII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbClarinettoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Clarinetto_I_II.ly"

% Citations
% Clarinette déjà inclus
\addQuote scoreSgMcClarinettoI { \keepWithTag #'quoteClarinettoII \quoteScoreSgMcClarinettoI }

staffSgMcClarinettoII = \new Staff \with {\consists "Page_turn_engraver"}{
  \keepWithTag #'partTrScore \voiceSgMcClarinettoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Clarinetto_I_II.ly"
% Citations
% Clarinette déjà inclu
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Oboe_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_I_II.ly"
\addQuote scoreSgMdOboeI { \keepWithTag #'quoteClarinettoII \quoteScoreSgMdOboeI }
\addQuote scoreSgMdCornoI { \keepWithTag #'quoteClarinettoII \quoteScoreSgMdCornoI }
\addQuote scoreSgMdClarinettoI { \keepWithTag #'quoteClarinettoII \quoteScoreSgMdClarinettoI }


staffSgMdClarinettoII = \new Staff \with {\consists "Page_turn_engraver"}{
  \keepWithTag #'partTrScore \voiceSgMdClarinettoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMaClarinettoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMbClarinettoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMcClarinettoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV "}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMdClarinettoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
