%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Cor 1                            *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Corno I"
partShort = "Co1"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_I_II.ly"

% Citations
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_III_IV.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violoncello.ly"
\addQuote scoreSgMaFlautoI { \keepWithTag #'quoteCornoI \quoteScoreSgMaFlautoI }
\addQuote scoreSgMaCornoIII { \keepWithTag #'quoteCornoI \quoteScoreSgMaCornoIII }
\addQuote scoreSgMaVioloncello { \keepWithTag #'quoteCornoI \quoteScoreSgMaVioloncello }

staffSgMaCornoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMaCornoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_I_II.ly"

% Citations
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_III_IV.ly"
\addQuote scoreSgMbCornoII { \keepWithTag #'quoteCornoI \quoteScoreSgMbCornoII }
\addQuote scoreSgMbCornoIII { \keepWithTag #'quoteCornoI \quoteScoreSgMbCornoIII }

staffSgMbCornoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbCornoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_I_II.ly"
% Citations
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Clarinetto_I_II.ly"
\addQuote scoreSgMcClarinettoI { \keepWithTag #'quoteCornoI \quoteScoreSgMcClarinettoI }

staffSgMcCornoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMcCornoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_I_II.ly"

% Citations
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_III_IV.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Clarinetto_I_II.ly"
\addQuote scoreSgMdFlautoI { \keepWithTag #'quoteCornoI \quoteScoreSgMdFlautoI }
\addQuote scoreSgMdClarinettoI { \keepWithTag #'quoteCornoI \quoteScoreSgMdClarinettoI }
\addQuote scoreSgMdCornoIII { \keepWithTag #'quoteCornoI \quoteScoreSgMdCornoIII }

staffSgMdCornoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMdCornoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMaCornoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMbCornoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMcCornoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV "}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMdCornoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
