%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Cor 2                            *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Corno II"
partShort = "Co2"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_I_II.ly"

% Citations
% Cor I déjà inclu
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_III_IV.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violoncello.ly"
\addQuote scoreSgMaCornoI { \keepWithTag #'quoteCornoII \quoteScoreSgMaCornoI }
\addQuote scoreSgMaCornoIV { \keepWithTag #'quoteCornoII \quoteScoreSgMaCornoIV }
\addQuote scoreSgMaVioloncello { \keepWithTag #'quoteCornoII \quoteScoreSgMaVioloncello }

staffSgMaCornoII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMaCornoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_I_II.ly"

% Citations

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Fagotto_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_I.ly"
\addQuote scoreSgMbFlautoI { \keepWithTag #'quoteCornoII \quoteScoreSgMbFlautoI }
\addQuote scoreSgMbCornoI { \keepWithTag #'quoteCornoII \quoteScoreSgMbCornoI }
\addQuote scoreSgMbFagottoI { \keepWithTag #'quoteCornoII \quoteScoreSgMbFagottoI }
\addQuote scoreSgMbViolinoI { \keepWithTag #'quoteCornoII \quoteScoreSgMbViolinoI }

staffSgMbCornoII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbCornoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_I_II.ly"

% Citations
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Clarinetto_I_II.ly"
% Cor II déjà inclu
\addQuote scoreSgMcClarinettoI { \keepWithTag #'quoteCornoII \quoteScoreSgMcClarinettoI }
\addQuote scoreSgMcCornoI { \keepWithTag #'quoteCornoII \quoteScoreSgMcCornoI }

staffSgMcCornoII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMcCornoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_I_II.ly"

% Citations
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_III_IV.ly"
\addQuote scoreSgMdFlautoI { \keepWithTag #'quoteCornoII \quoteScoreSgMdFlautoI }
\addQuote scoreSgMdCornoI { \keepWithTag #'quoteCornoII \quoteScoreSgMdCornoI }
\addQuote scoreSgMdCornoIII { \keepWithTag #'quoteCornoII \quoteScoreSgMdCornoIII }

staffSgMdCornoII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMdCornoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMaCornoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMbCornoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMcCornoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV "}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMdCornoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
