%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Cor 3                            *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Corno III"
partShort = "Co3"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_III_IV.ly"

% Citations
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_I_II.ly"
\addQuote scoreSgMaCornoI { \keepWithTag #'quoteCornoIII \quoteScoreSgMaCornoI }

staffSgMaCornoIII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMaCornoIII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_III_IV.ly"

% Citations

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Oboe_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Fagotto_I_II.ly"
\addQuote scoreSgMbFlautoI { \keepWithTag #'quoteCornoIII \quoteScoreSgMbFlautoI }
\addQuote scoreSgMbOboeI { \keepWithTag #'quoteCornoIII \quoteScoreSgMbOboeI }
\addQuote scoreSgMbFagottoI { \keepWithTag #'quoteCornoIII \quoteScoreSgMbFagottoI }
\addQuote scoreSgMbCornoIV { \keepWithTag #'quoteCornoIII \quoteScoreSgMbCornoIV }

staffSgMbCornoIII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbCornoIII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_III_IV.ly"

% Citations
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Tromba_I_II.ly"
\addQuote scoreSgMcTrombaI { \keepWithTag #'quoteCornoIV \quoteScoreSgMcTrombaI }
\addQuote scoreSgMcCornoI { \keepWithTag #'quoteCornoIII \quoteScoreSgMcCornoI }

staffSgMcCornoIII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMcCornoIII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_III_IV.ly"

% Citations
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Oboe_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violino_I.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violoncello.ly"
\addQuote scoreSgMdOboeI { \keepWithTag #'quoteCornoIII \quoteScoreSgMdOboeI }
\addQuote scoreSgMdViolinoI { \keepWithTag #'quoteCornoIII \quoteScoreSgMdViolinoI }
\addQuote scoreSgMdVioloncello { \keepWithTag #'quoteCornoIII \quoteScoreSgMdVioloncello }

staffSgMdCornoIII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMdCornoIII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%{
  On peut forcer manuellement l'espacement horizontal en insérant dans les layouts le texte suivant :
  \context {
        \Score
        \override SpacingSpanner.base-shortest-duration = #(ly:make-moment 1/16)
      }
  La valeur de 16 est correcte pour les mouvements 1 et 4, 32 pour le second mouvement, et 8 pour le 3ième mouvement
%}

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMaCornoIII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMbCornoIII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMcCornoIII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV "}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMdCornoIII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
