%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Cor 4 transposé en Fa            *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Corno IV transposed in F"
partShort = "Co4<F>"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_III_IV.ly"

% Citations
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_I_II.ly"
\addQuote scoreSgMaCornoI { \keepWithTag #'quoteCornoIV \quoteScoreSgMaCornoI }
\addQuote scoreSgMaCornoIII { \keepWithTag #'quoteCornoIV \quoteScoreSgMaCornoIII }

% Le mouvement I contient deux changements de ton. Il est nécessaire de diviser
% \voiceSgMaCornoIII en trois parties et de transposer séparément

staffSgMaCornoIV = \new Staff \with {\consists "Page_turn_engraver"}
  {\keepWithTag #'partTrScore \voiceSgMaCornoIV}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_III_IV.ly"

% Citations

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Oboe_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_I.ly"
\addQuote scoreSgMbOboeI { \keepWithTag #'quoteCornoIV \quoteScoreSgMbOboeI }
\addQuote scoreSgMbCornoIII { \keepWithTag #'quoteCornoIV \quoteScoreSgMbCornoIII }
\addQuote scoreSgMbViolinoI { \keepWithTag #'quoteCornoIV \quoteScoreSgMbViolinoI }

staffSgMbCornoIV = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbCornoIV}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_III_IV.ly"

% Citations
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Tromba_I_II.ly"
\addQuote scoreSgMcCornoI { \keepWithTag #'quoteCornoIV \quoteScoreSgMcCornoI }
\addQuote scoreSgMcTrombaI { \keepWithTag #'quoteCornoIV \quoteScoreSgMcTrombaI }

staffSgMcCornoIV = \new Staff \with {\consists "Page_turn_engraver"}
  {\keepWithTag #'partTrScore \voiceSgMcCornoIV}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_III_IV.ly"

% Citations
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_III_IV.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violino_I.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violoncello.ly"
\addQuote scoreSgMdCornoIII { \keepWithTag #'quoteCornoIV \quoteScoreSgMdCornoIII }
\addQuote scoreSgMdViolinoI { \keepWithTag #'quoteCornoIV \quoteScoreSgMdViolinoI }
\addQuote scoreSgMdVioloncello { \keepWithTag #'quoteCornoIV \quoteScoreSgMdVioloncello }

staffSgMdCornoIV = \new Staff \with {\consists "Page_turn_engraver"}
  {\keepWithTag #'partTrScore \voiceSgMdCornoIV}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMaCornoIV
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMbCornoIV
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMcCornoIV
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV "}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMdCornoIV
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
