%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Flûte 1                          *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Flauto I"
partShort = "Fl1"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Flauto_I_II.ly"

% Citations
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Clarinetto_I_II.ly"
\addQuote scoreSgMaClarinettoI { \keepWithTag #'quoteFlautoI \quoteScoreSgMaClarinettoI }

staffSgMaFlautoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMaFlautoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Flauto_I_II.ly"

% Citations

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Oboe_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Clarinetto_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_I.ly"
\addQuote scoreSgMbOboeI { \keepWithTag #'quoteFlautoI \quoteScoreSgMbOboeI }
\addQuote scoreSgMbClarinettoI { \keepWithTag #'quoteFlautoI \quoteScoreSgMbClarinettoI }
\addQuote scoreSgMbCornoII { \keepWithTag #'quoteFlautoI \quoteScoreSgMbCornoII }
\addQuote scoreSgMbViolinoI { \keepWithTag #'quoteFlautoI \quoteScoreSgMbViolinoI }

staffSgMbFlautoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbFlautoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Flauto_I_II.ly"

% Citations
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Oboe_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-VioloncelloI.ly"
\addQuote scoreSgMcOboeI { \keepWithTag #'quoteFlautoI \quoteScoreSgMcOboeI }
\addQuote scoreSgMcVioloncello { \keepWithTag #'quoteFlautoI \quoteScoreSgMcVioloncello }

staffSgMcFlautoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMcFlautoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Flauto_I_II.ly"

staffSgMdFlautoI = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMdFlautoI}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMaFlautoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMbFlautoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMcFlautoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV "}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMdFlautoI
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
