%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Flûte 2                          *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Flauto II"
partShort = "Fl2"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Flauto_I_II.ly"

% Citations
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Oboe_I_II.ly"
\addQuote scoreSgMaOboeI { \keepWithTag #'quoteFlautoII \quoteScoreSgMaOboeI }

staffSgMaFlautoII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMaFlautoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Flauto_I_II.ly"

% Citations
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_I_II.ly"
\addQuote scoreSgMbFlautoI { \keepWithTag #'quoteFlautoII \quoteScoreSgMbFlautoI }
\addQuote scoreSgMbCornoI { \keepWithTag #'quoteFlautoII \quoteScoreSgMbCornoI }
\addQuote scoreSgMbCornoII { \keepWithTag #'quoteFlautoII \quoteScoreSgMbCornoII }

staffSgMbFlautoII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbFlautoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Flauto_I_II.ly"

% Citations
% Flûte déja inclus
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Oboe_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Tromba_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-VioloncelloI.ly"
\addQuote scoreSgMcFlautoI { \keepWithTag #'quoteFlautoII \quoteScoreSgMcFlautoI }
\addQuote scoreSgMcOboeI { \keepWithTag #'quoteFlautoII \quoteScoreSgMcOboeI }
\addQuote scoreSgMcTrombaI { \keepWithTag #'quoteFlautoII \quoteScoreSgMcTrombaI }
\addQuote scoreSgMcVioloncello { \keepWithTag #'quoteFlautoII \quoteScoreSgMcVioloncello }


staffSgMcFlautoII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMcFlautoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Flauto_I_II.ly"

% Citations
% Flûte inclus
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Oboe_I_II.ly"
\addQuote scoreSgMdFlautoI { \keepWithTag #'quoteFlautoII \quoteScoreSgMdFlautoI }
\addQuote scoreSgMdOboeI { \keepWithTag #'quoteFlautoII \quoteScoreSgMdOboeI }


staffSgMdFlautoII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMdFlautoII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%{
  On peut forcer manuellement l'espacement horizontal en insérant dans les layouts le texte suivant :
  \context {
        \Score
        \override SpacingSpanner.base-shortest-duration = #(ly:make-moment 1/16)
      }
  La valeur de 16 est correcte pour les mouvements 1 et 4, 32 pour le second mouvement, et 8 pour le 3ième mouvement
%}

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMaFlautoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMbFlautoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMcFlautoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMdFlautoII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
