%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Hautois 2                        *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Oboe II"
partShort = "Ob2"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Oboe_I_II.ly"

% Citations
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Clarinetto_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Fagotto_I_II.ly"
\addQuote scoreSgMaClarinettoI { \keepWithTag #'quoteOboeII \quoteScoreSgMaClarinettoI }
\addQuote scoreSgMaFagottoI { \keepWithTag #'quoteOboeII \quoteScoreSgMaFagottoI }

staffSgMaOboeII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMaOboeII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Oboe_I_II.ly"

% Citations

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violoncello.ly"
\addQuote scoreSgMbFlautoI { \keepWithTag #'quoteOboeII \quoteScoreSgMbFlautoI }
\addQuote scoreSgMbCornoI { \keepWithTag #'quoteOboeII \quoteScoreSgMbCornoI }
\addQuote scoreSgMbCornoII { \keepWithTag #'quoteOboeII \quoteScoreSgMbCornoII }
\addQuote scoreSgMbVioloncello { \keepWithTag #'quoteOboeII \quoteScoreSgMbVioloncello }

staffSgMbOboeII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbOboeII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Oboe_I_II.ly"

% Citations
% Hautbois déjà inclus
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Clarinetto_I_II.ly"
\addQuote scoreSgMcOboeI { \keepWithTag #'quoteOboeII \quoteScoreSgMcOboeI }
\addQuote scoreSgMcClarinettoI { \keepWithTag #'quoteOboeII \quoteScoreSgMcClarinettoI }

staffSgMcOboeII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMcOboeII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Oboe_I_II.ly"

% Citations
% Hautbois déjà inclus
\addQuote scoreSgMdOboeI { \keepWithTag #'quoteOboeII \quoteScoreSgMdOboeI }


staffSgMdOboeII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMdOboeII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMaOboeII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMbOboeII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMcOboeII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMdOboeII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
