%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Timbales                         *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Timpani"
partShort = "Tp"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Timpani.ly"

% Citations
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violino_I.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Trombone_III.ly"
\addQuote scoreSgMaFlautoI { \keepWithTag #'quoteTimpani \quoteScoreSgMaFlautoI }
\addQuote scoreSgMaViolinoI { \keepWithTag #'quoteTimpani \quoteScoreSgMaViolinoI }
\addQuote scoreSgMaTromboneIII { \keepWithTag #'quoteTimpani \quoteScoreSgMaTromboneIII }

staffSgMaTimpani = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMaTimpani}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Timpani.ly"

% Citations
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Trombone_III.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violoncello.ly"
\addQuote scoreSgMbCornoI { \keepWithTag #'quoteTimpani \quoteScoreSgMbCornoI }
\addQuote scoreSgMbCornoII { \keepWithTag #'quoteTimpani \quoteScoreSgMbCornoII }
\addQuote scoreSgMbTromboneIII { \keepWithTag #'quoteTimpani \quoteScoreSgMbTromboneIII }
\addQuote scoreSgMbVioloncello { \keepWithTag #'quoteTimpani \quoteScoreSgMbVioloncello }

staffSgMbTimpani = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbTimpani}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Timpani.ly"

% Citations
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Flauto_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Tromba_I_II.ly"
\addQuote scoreSgMcFlautoI { \keepWithTag #'quoteTimpani \quoteScoreSgMcFlautoI }
\addQuote scoreSgMcCornoI { \keepWithTag #'quoteTimpani \quoteScoreSgMcCornoI }
\addQuote scoreSgMcTrombaI { \keepWithTag #'quoteTimpani \quoteScoreSgMcTrombaI }

staffSgMcTimpani = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMcTimpani}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Timpani.ly"

% Citations
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violino_I.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Trombone_I_II.ly"
\addQuote scoreSgMdViolinoI { \keepWithTag #'quoteTimpani \quoteScoreSgMdViolinoI }
\addQuote scoreSgMdTromboneI { \keepWithTag #'quoteTimpani \quoteScoreSgMdTromboneI }

staffSgMdTimpani = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMdTimpani}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMaTimpani
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMbTimpani
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \new GrandStaff \staffSgMcTimpani
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV "}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMdTimpani
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
