%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Trompette 2                      *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Tromba II transposed in B"
partShort = "Tr2<B>"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Tromba_I_II.ly"

% Citations
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_III_IV.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Trombone_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violino_I.ly"
\addQuote scoreSgMaCornoIII { \keepWithTag #'quoteTrombaII \quoteScoreSgMaCornoIII }
\addQuote scoreSgMaTromboneI { \keepWithTag #'quoteTrombaI \quoteScoreSgMaTromboneI }
\addQuote scoreSgMaViolinoI { \keepWithTag #'quoteTrombaII \quoteScoreSgMaViolinoI }

staffSgMaTrombaII = \new Staff \with {\consists "Page_turn_engraver"} \voiceSgMaTrombaII

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Tromba_I_II.ly"

% Citations
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_I.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Viola.ly"
\addQuote scoreSgMbCornoI { \keepWithTag #'quoteTrombaII \quoteScoreSgMbCornoI }
\addQuote scoreSgMbCornoII { \keepWithTag #'quoteTrombaII \quoteScoreSgMbCornoII }
\addQuote scoreSgMbViolinoI { \keepWithTag #'quoteTrombaII \quoteScoreSgMbViolinoI }
\addQuote scoreSgMbViola { \keepWithTag #'quoteTrombaII \quoteScoreSgMbViola }

staffSgMbTrombaII = \new Staff \with {\consists "Page_turn_engraver"} \voiceSgMbTrombaII

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Tromba_I_II.ly"

% Citations
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-Corno_I_II.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-VioloncelloI.ly"
\addQuote scoreSgMcCornoI { \keepWithTag #'quoteTrombaI \quoteScoreSgMcCornoI }
\addQuote scoreSgMcVioloncelloI { \keepWithTag #'quoteTrombaI \quoteScoreSgMcVioloncello }

staffSgMcTrombaII = \new Staff \with {\consists "Page_turn_engraver"} \voiceSgMcTrombaII

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Tromba_I_II.ly"

% Citations
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_I_II.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Corno_III_IV.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violino_I.ly"
\addQuote scoreSgMdCornoI { \keepWithTag #'quoteTrombaI \quoteScoreSgMdCornoI }
\addQuote scoreSgMdCornoIII { \keepWithTag #'quoteTrombaI \quoteScoreSgMdCornoIII }
\addQuote scoreSgMdViolinoI { \keepWithTag #'quoteTrombaI \quoteScoreSgMdViolinoI }

staffSgMdTrombaII = \new Staff \with {\consists "Page_turn_engraver"} \voiceSgMdTrombaII

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMaTrombaII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMbTrombaII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMcTrombaII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV "}}
  \noPageBreak
  \score {
    \keepWithTag #'partTrScore
    \staffSgMdTrombaII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
