%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Trombone 3                       *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Trombone III"
partShort = "Tb3"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Trombone_III.ly"

% Citations
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Corno_I_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violino_I.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violino_II.ly"
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Tromba_I_II.ly"
\addQuote scoreSgMaCornoI { \keepWithTag #'quoteTromboneIII \quoteScoreSgMaCornoI }
\addQuote scoreSgMaViolinoI { \keepWithTag #'quoteTromboneIII \quoteScoreSgMaViolinoI }
\addQuote scoreSgMaViolinoII { \keepWithTag #'quoteTromboneIII \quoteScoreSgMaViolinoII }
\addQuote scoreSgMaTrombaI { \keepWithTag #'quoteTromboneIII \quoteScoreSgMaTrombaI }

staffSgMaTromboneIII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMaTromboneIII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Trombone_III.ly"

% Citations
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Corno_I_II.ly"
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violino_I.ly"
\addQuote scoreSgMbCornoII { \keepWithTag #'quoteTromboneIII \quoteScoreSgMbCornoII }
\addQuote scoreSgMbViolinoI { \keepWithTag #'quoteTromboneIII \quoteScoreSgMbViolinoI }

staffSgMbTromboneIII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbTromboneIII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Scherzo Tacet

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Trombone_III.ly"

% Citations
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violino_I.ly"
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Oboe_I_II.ly"
\addQuote scoreSgMdViolinoI { \keepWithTag #'quoteTromboneIII \quoteScoreSgMdViolinoI }
\addQuote scoreSgMdOboeI { \keepWithTag #'quoteTromboneIII \quoteScoreSgMdOboeI }

staffSgMdTromboneIII = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMdTromboneIII}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMaTromboneIII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMbTromboneIII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold \center-column {"III" \fontsize #2 "Tacet" " " }}}
  \noPageBreak
  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV "}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMdTromboneIII
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
