%{
  ***********************************************************************
  * Dvořák - Symphony nr 7                                              *
  *                                                                     *
  * encodage par J.F. Lucarelli                                         *
  * 18/11/12 - 01/11/2013                                               *
  * Ver 0.0 : 04/09/2013                                                *
  * Ver 1.0 : 01/11/2013                                                *
  * Ver 2.0 : 11/02/2016                                                *
  * Ver 2.1 : 29/02/2016                                                *
  * Ver 3.2 : 20/04/2016                                                *
  *                                                                     *
  * Symphonie n°7 : parties séparées : Violoncelle                      *
  *                                                                     *
  * ******************************                                      *
  * *   Fichier principal        *                                      *
  * ******************************                                      *
  *                                                                     *
  ***********************************************************************
%}

\include "Common\Version.ly"
\include "Common\Fonctions.ly"
\include "Common\Variables.ly"

\include "Common\Declarations.ly"
\include "common\Dimension-parts.ly"

Part = "Violoncelli"
partShort = "Vc"

\include "Common\Paper-parts.ly"
\include "Common\Header_parts.ly"  % titres

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M1\DvorakSYMPH7M1_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M1\DvorakSYMPH7M1_music-Violoncello.ly"

staffSgMaVioloncello = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMaVioloncello}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M2\DvorakSYMPH7M2_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M2\DvorakSYMPH7M2_music-Violoncello.ly"

staffSgMbVioloncello = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMbVioloncello}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M3\DvorakSYMPH7M3_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-VioloncelloI.ly"
\include "DvorakSYMPH7M3\DvorakSYMPH7M3_music-VioloncelloII.ly"

staffSgMcVioloncello = \new GrandStaff \with {\consists "Page_turn_engraver"} <<
  \new Staff {\voiceSgMcVioloncelloI}
  \new Staff {\voiceSgMcVioloncelloII}
>>

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\include "DvorakSYMPH7M4\DvorakSYMPH7M4_Tempi_parts.ly"  % tempi
\include "DvorakSYMPH7M4\DvorakSYMPH7M4_music-Violoncello.ly"

staffSgMdVioloncello = \new Staff \with {\consists "Page_turn_engraver"}{\voiceSgMdVioloncello}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Partition proprement dite

\book {
  \label #'MvmtI
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "I"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMaVioloncello
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
  \label #'MvmtII

  \markup {\fill-line {\fontsize #3 \lower#7 \bold "II"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMbVioloncello
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }

  \label #'MvmtIII
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "III"}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \new GrandStaff \staffSgMcVioloncello
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
      \context {
        \RemoveEmptyStaffContext
        \override VerticalAxisGroup.remove-first = ##t
      }
    }
    \midi {
    }
  }

  \label #'MvmtIV
  \markup {\fill-line {\fontsize #3 \lower#7 \bold "IV "}}
  \noPageBreak
  \score {
    \keepWithTag #'partScore
    \staffSgMdVioloncello
    \layout {
      \context {
        \CueVoice
        \override TupletBracket.bracket-visibility = ##f
      }
    }
    \midi {
    }
  }
}
